/* Copyright (c) 2001, Stanford University
	All rights reserved.

	See the file LICENSE.txt for information on redistributing this software. */
	

#include "cr_server.h"
#include "feedbackspu.h"
#include "feedbackspu_proto.h"

void FEEDBACKSPU_APIENTRY feedbackspu_ClipPlane(GLenum plane, const GLdouble * equation)
{
	crStateClipPlane(&feedback_spu.StateTracker, plane, equation);

	feedback_spu.super.ClipPlane(plane, equation);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Color3f(GLfloat red, GLfloat green, GLfloat blue)
{
	crStateColor3f(&feedback_spu.StateTracker, red, green, blue);

	feedback_spu.super.Color3f(red, green, blue);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Color3fv(const GLfloat * v)
{
	crStateColor3fv(&feedback_spu.StateTracker, v);

	feedback_spu.super.Color3fv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Color4f(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
	crStateColor4f(&feedback_spu.StateTracker, red, green, blue, alpha);

	feedback_spu.super.Color4f(red, green, blue, alpha);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Color4fv(const GLfloat * v)
{
	crStateColor4fv(&feedback_spu.StateTracker, v);

	feedback_spu.super.Color4fv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_DepthRange(GLclampd zNear, GLclampd zFar)
{
	crStateDepthRange(&feedback_spu.StateTracker, zNear, zFar);

	feedback_spu.super.DepthRange(zNear, zFar);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Frustum(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
	crStateFrustum(&feedback_spu.StateTracker, left, right, bottom, top, zNear, zFar);

	feedback_spu.super.Frustum(left, right, bottom, top, zNear, zFar);
}
void FEEDBACKSPU_APIENTRY feedbackspu_LoadIdentity(void)
{
	crStateLoadIdentity(&feedback_spu.StateTracker);

	feedback_spu.super.LoadIdentity();
}
void FEEDBACKSPU_APIENTRY feedbackspu_LoadMatrixd(const GLdouble * m)
{
	crStateLoadMatrixd(&feedback_spu.StateTracker, m);

	feedback_spu.super.LoadMatrixd(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_LoadMatrixf(const GLfloat * m)
{
	crStateLoadMatrixf(&feedback_spu.StateTracker, m);

	feedback_spu.super.LoadMatrixf(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_LoadTransposeMatrixdARB(const GLdouble * m)
{
	crStateLoadTransposeMatrixdARB(&feedback_spu.StateTracker, m);

	feedback_spu.super.LoadTransposeMatrixdARB(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_LoadTransposeMatrixfARB(const GLfloat * m)
{
	crStateLoadTransposeMatrixfARB(&feedback_spu.StateTracker, m);

	feedback_spu.super.LoadTransposeMatrixfARB(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_MatrixMode(GLenum mode)
{
	crStateMatrixMode(&feedback_spu.StateTracker, mode);

	feedback_spu.super.MatrixMode(mode);
}
void FEEDBACKSPU_APIENTRY feedbackspu_MultMatrixd(const GLdouble * m)
{
	crStateMultMatrixd(&feedback_spu.StateTracker, m);

	feedback_spu.super.MultMatrixd(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_MultMatrixf(const GLfloat * m)
{
	crStateMultMatrixf(&feedback_spu.StateTracker, m);

	feedback_spu.super.MultMatrixf(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_MultTransposeMatrixdARB(const GLdouble * m)
{
	crStateMultTransposeMatrixdARB(&feedback_spu.StateTracker, m);

	feedback_spu.super.MultTransposeMatrixdARB(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_MultTransposeMatrixfARB(const GLfloat * m)
{
	crStateMultTransposeMatrixfARB(&feedback_spu.StateTracker, m);

	feedback_spu.super.MultTransposeMatrixfARB(m);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Ortho(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
	crStateOrtho(&feedback_spu.StateTracker, left, right, bottom, top, zNear, zFar);

	feedback_spu.super.Ortho(left, right, bottom, top, zNear, zFar);
}
void FEEDBACKSPU_APIENTRY feedbackspu_PassThrough(GLfloat token)
{
	crStatePassThrough(&feedback_spu.StateTracker, token);

	feedback_spu.super.PassThrough(token);
}
void FEEDBACKSPU_APIENTRY feedbackspu_PolygonMode(GLenum face, GLenum mode)
{
	crStatePolygonMode(&feedback_spu.StateTracker, face, mode);

	feedback_spu.super.PolygonMode(face, mode);
}
void FEEDBACKSPU_APIENTRY feedbackspu_PopAttrib(void)
{
	crStatePopAttrib(&feedback_spu.StateTracker);

	feedback_spu.super.PopAttrib();
}
void FEEDBACKSPU_APIENTRY feedbackspu_PopMatrix(void)
{
	crStatePopMatrix(&feedback_spu.StateTracker);

	feedback_spu.super.PopMatrix();
}
void FEEDBACKSPU_APIENTRY feedbackspu_PushAttrib(GLbitfield mask)
{
	crStatePushAttrib(&feedback_spu.StateTracker, mask);

	feedback_spu.super.PushAttrib(mask);
}
void FEEDBACKSPU_APIENTRY feedbackspu_PushMatrix(void)
{
	crStatePushMatrix(&feedback_spu.StateTracker);

	feedback_spu.super.PushMatrix();
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2d(GLdouble x, GLdouble y)
{
	crStateRasterPos2d(&feedback_spu.StateTracker, x, y);

	feedback_spu.super.RasterPos2d(x, y);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2dv(const GLdouble * v)
{
	crStateRasterPos2dv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos2dv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2f(GLfloat x, GLfloat y)
{
	crStateRasterPos2f(&feedback_spu.StateTracker, x, y);

	feedback_spu.super.RasterPos2f(x, y);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2fv(const GLfloat * v)
{
	crStateRasterPos2fv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos2fv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2i(GLint x, GLint y)
{
	crStateRasterPos2i(&feedback_spu.StateTracker, x, y);

	feedback_spu.super.RasterPos2i(x, y);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2iv(const GLint * v)
{
	crStateRasterPos2iv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos2iv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2s(GLshort x, GLshort y)
{
	crStateRasterPos2s(&feedback_spu.StateTracker, x, y);

	feedback_spu.super.RasterPos2s(x, y);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos2sv(const GLshort * v)
{
	crStateRasterPos2sv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos2sv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3d(GLdouble x, GLdouble y, GLdouble z)
{
	crStateRasterPos3d(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.RasterPos3d(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3dv(const GLdouble * v)
{
	crStateRasterPos3dv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos3dv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3f(GLfloat x, GLfloat y, GLfloat z)
{
	crStateRasterPos3f(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.RasterPos3f(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3fv(const GLfloat * v)
{
	crStateRasterPos3fv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos3fv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3i(GLint x, GLint y, GLint z)
{
	crStateRasterPos3i(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.RasterPos3i(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3iv(const GLint * v)
{
	crStateRasterPos3iv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos3iv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3s(GLshort x, GLshort y, GLshort z)
{
	crStateRasterPos3s(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.RasterPos3s(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos3sv(const GLshort * v)
{
	crStateRasterPos3sv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos3sv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
	crStateRasterPos4d(&feedback_spu.StateTracker, x, y, z, w);

	feedback_spu.super.RasterPos4d(x, y, z, w);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4dv(const GLdouble * v)
{
	crStateRasterPos4dv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos4dv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
	crStateRasterPos4f(&feedback_spu.StateTracker, x, y, z, w);

	feedback_spu.super.RasterPos4f(x, y, z, w);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4fv(const GLfloat * v)
{
	crStateRasterPos4fv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos4fv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4i(GLint x, GLint y, GLint z, GLint w)
{
	crStateRasterPos4i(&feedback_spu.StateTracker, x, y, z, w);

	feedback_spu.super.RasterPos4i(x, y, z, w);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4iv(const GLint * v)
{
	crStateRasterPos4iv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos4iv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4s(GLshort x, GLshort y, GLshort z, GLshort w)
{
	crStateRasterPos4s(&feedback_spu.StateTracker, x, y, z, w);

	feedback_spu.super.RasterPos4s(x, y, z, w);
}
void FEEDBACKSPU_APIENTRY feedbackspu_RasterPos4sv(const GLshort * v)
{
	crStateRasterPos4sv(&feedback_spu.StateTracker, v);

	feedback_spu.super.RasterPos4sv(v);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Rotated(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
	crStateRotated(&feedback_spu.StateTracker, angle, x, y, z);

	feedback_spu.super.Rotated(angle, x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Rotatef(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
	crStateRotatef(&feedback_spu.StateTracker, angle, x, y, z);

	feedback_spu.super.Rotatef(angle, x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Scaled(GLdouble x, GLdouble y, GLdouble z)
{
	crStateScaled(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.Scaled(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Scalef(GLfloat x, GLfloat y, GLfloat z)
{
	crStateScalef(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.Scalef(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Scissor(GLint x, GLint y, GLsizei width, GLsizei height)
{
	crStateScissor(&feedback_spu.StateTracker, x, y, width, height);

	feedback_spu.super.Scissor(x, y, width, height);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Translated(GLdouble x, GLdouble y, GLdouble z)
{
	crStateTranslated(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.Translated(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_Translatef(GLfloat x, GLfloat y, GLfloat z)
{
	crStateTranslatef(&feedback_spu.StateTracker, x, y, z);

	feedback_spu.super.Translatef(x, y, z);
}
void FEEDBACKSPU_APIENTRY feedbackspu_VBoxAttachThread(void)
{
	crStateVBoxAttachThread(&feedback_spu.StateTracker);

	feedback_spu.super.VBoxAttachThread();
}
void FEEDBACKSPU_APIENTRY feedbackspu_VBoxDetachThread(void)
{
	crStateVBoxDetachThread(&feedback_spu.StateTracker);

	feedback_spu.super.VBoxDetachThread();
}
void FEEDBACKSPU_APIENTRY feedbackspu_Viewport(GLint x, GLint y, GLsizei width, GLsizei height)
{
	crStateViewport(&feedback_spu.StateTracker, x, y, width, height);

	feedback_spu.super.Viewport(x, y, width, height);
}
