/* Copyright (c) 2001, Stanford University
	All rights reserved.

	See the file LICENSE.txt for information on redistributing this software. */
	
#include <stdio.h>
#include "cr_error.h"
#include "cr_string.h"
#include "cr_spu.h"
#include "passthroughspu.h"

SPUNamedFunctionTable _cr_passthrough_table[707];

static void __fillin(int offset, char *name, SPUGenericFunction func)
{
	_cr_passthrough_table[offset].name = crStrdup(name);
	_cr_passthrough_table[offset].fn = func;
}

void BuildPassthroughTable( SPU *child )
{
	__fillin(  0, "Accum", (SPUGenericFunction) child->dispatch_table.Accum);
	__fillin(  1, "ActiveStencilFaceEXT", (SPUGenericFunction) child->dispatch_table.ActiveStencilFaceEXT);
	__fillin(  2, "ActiveTextureARB", (SPUGenericFunction) child->dispatch_table.ActiveTextureARB);
	__fillin(  3, "AlphaFunc", (SPUGenericFunction) child->dispatch_table.AlphaFunc);
	__fillin(  4, "AreProgramsResidentNV", (SPUGenericFunction) child->dispatch_table.AreProgramsResidentNV);
	__fillin(  5, "AreTexturesResident", (SPUGenericFunction) child->dispatch_table.AreTexturesResident);
	__fillin(  6, "ArrayElement", (SPUGenericFunction) child->dispatch_table.ArrayElement);
	__fillin(  7, "AttachShader", (SPUGenericFunction) child->dispatch_table.AttachShader);
	__fillin(  8, "BarrierCreateCR", (SPUGenericFunction) child->dispatch_table.BarrierCreateCR);
	__fillin(  9, "BarrierDestroyCR", (SPUGenericFunction) child->dispatch_table.BarrierDestroyCR);
	__fillin( 10, "BarrierExecCR", (SPUGenericFunction) child->dispatch_table.BarrierExecCR);
	__fillin( 11, "Begin", (SPUGenericFunction) child->dispatch_table.Begin);
	__fillin( 12, "BeginQueryARB", (SPUGenericFunction) child->dispatch_table.BeginQueryARB);
	__fillin( 13, "BindAttribLocation", (SPUGenericFunction) child->dispatch_table.BindAttribLocation);
	__fillin( 14, "BindBufferARB", (SPUGenericFunction) child->dispatch_table.BindBufferARB);
	__fillin( 15, "BindFramebufferEXT", (SPUGenericFunction) child->dispatch_table.BindFramebufferEXT);
	__fillin( 16, "BindProgramARB", (SPUGenericFunction) child->dispatch_table.BindProgramARB);
	__fillin( 17, "BindProgramNV", (SPUGenericFunction) child->dispatch_table.BindProgramNV);
	__fillin( 18, "BindRenderbufferEXT", (SPUGenericFunction) child->dispatch_table.BindRenderbufferEXT);
	__fillin( 19, "BindTexture", (SPUGenericFunction) child->dispatch_table.BindTexture);
	__fillin( 20, "Bitmap", (SPUGenericFunction) child->dispatch_table.Bitmap);
	__fillin( 21, "BlendColorEXT", (SPUGenericFunction) child->dispatch_table.BlendColorEXT);
	__fillin( 22, "BlendEquationEXT", (SPUGenericFunction) child->dispatch_table.BlendEquationEXT);
	__fillin( 23, "BlendEquationSeparate", (SPUGenericFunction) child->dispatch_table.BlendEquationSeparate);
	__fillin( 24, "BlendFunc", (SPUGenericFunction) child->dispatch_table.BlendFunc);
	__fillin( 25, "BlendFuncSeparateEXT", (SPUGenericFunction) child->dispatch_table.BlendFuncSeparateEXT);
	__fillin( 26, "BlitFramebufferEXT", (SPUGenericFunction) child->dispatch_table.BlitFramebufferEXT);
	__fillin( 27, "BoundsInfoCR", (SPUGenericFunction) child->dispatch_table.BoundsInfoCR);
	__fillin( 28, "BufferDataARB", (SPUGenericFunction) child->dispatch_table.BufferDataARB);
	__fillin( 29, "BufferSubDataARB", (SPUGenericFunction) child->dispatch_table.BufferSubDataARB);
	__fillin( 30, "CallList", (SPUGenericFunction) child->dispatch_table.CallList);
	__fillin( 31, "CallLists", (SPUGenericFunction) child->dispatch_table.CallLists);
	__fillin( 32, "CheckFramebufferStatusEXT", (SPUGenericFunction) child->dispatch_table.CheckFramebufferStatusEXT);
	__fillin( 33, "ChromiumParameterfCR", (SPUGenericFunction) child->dispatch_table.ChromiumParameterfCR);
	__fillin( 34, "ChromiumParameteriCR", (SPUGenericFunction) child->dispatch_table.ChromiumParameteriCR);
	__fillin( 35, "ChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.ChromiumParametervCR);
	__fillin( 36, "Clear", (SPUGenericFunction) child->dispatch_table.Clear);
	__fillin( 37, "ClearAccum", (SPUGenericFunction) child->dispatch_table.ClearAccum);
	__fillin( 38, "ClearColor", (SPUGenericFunction) child->dispatch_table.ClearColor);
	__fillin( 39, "ClearDepth", (SPUGenericFunction) child->dispatch_table.ClearDepth);
	__fillin( 40, "ClearIndex", (SPUGenericFunction) child->dispatch_table.ClearIndex);
	__fillin( 41, "ClearStencil", (SPUGenericFunction) child->dispatch_table.ClearStencil);
	__fillin( 42, "ClientActiveTextureARB", (SPUGenericFunction) child->dispatch_table.ClientActiveTextureARB);
	__fillin( 43, "ClipPlane", (SPUGenericFunction) child->dispatch_table.ClipPlane);
	__fillin( 44, "Color3b", (SPUGenericFunction) child->dispatch_table.Color3b);
	__fillin( 45, "Color3bv", (SPUGenericFunction) child->dispatch_table.Color3bv);
	__fillin( 46, "Color3d", (SPUGenericFunction) child->dispatch_table.Color3d);
	__fillin( 47, "Color3dv", (SPUGenericFunction) child->dispatch_table.Color3dv);
	__fillin( 48, "Color3f", (SPUGenericFunction) child->dispatch_table.Color3f);
	__fillin( 49, "Color3fv", (SPUGenericFunction) child->dispatch_table.Color3fv);
	__fillin( 50, "Color3i", (SPUGenericFunction) child->dispatch_table.Color3i);
	__fillin( 51, "Color3iv", (SPUGenericFunction) child->dispatch_table.Color3iv);
	__fillin( 52, "Color3s", (SPUGenericFunction) child->dispatch_table.Color3s);
	__fillin( 53, "Color3sv", (SPUGenericFunction) child->dispatch_table.Color3sv);
	__fillin( 54, "Color3ub", (SPUGenericFunction) child->dispatch_table.Color3ub);
	__fillin( 55, "Color3ubv", (SPUGenericFunction) child->dispatch_table.Color3ubv);
	__fillin( 56, "Color3ui", (SPUGenericFunction) child->dispatch_table.Color3ui);
	__fillin( 57, "Color3uiv", (SPUGenericFunction) child->dispatch_table.Color3uiv);
	__fillin( 58, "Color3us", (SPUGenericFunction) child->dispatch_table.Color3us);
	__fillin( 59, "Color3usv", (SPUGenericFunction) child->dispatch_table.Color3usv);
	__fillin( 60, "Color4b", (SPUGenericFunction) child->dispatch_table.Color4b);
	__fillin( 61, "Color4bv", (SPUGenericFunction) child->dispatch_table.Color4bv);
	__fillin( 62, "Color4d", (SPUGenericFunction) child->dispatch_table.Color4d);
	__fillin( 63, "Color4dv", (SPUGenericFunction) child->dispatch_table.Color4dv);
	__fillin( 64, "Color4f", (SPUGenericFunction) child->dispatch_table.Color4f);
	__fillin( 65, "Color4fv", (SPUGenericFunction) child->dispatch_table.Color4fv);
	__fillin( 66, "Color4i", (SPUGenericFunction) child->dispatch_table.Color4i);
	__fillin( 67, "Color4iv", (SPUGenericFunction) child->dispatch_table.Color4iv);
	__fillin( 68, "Color4s", (SPUGenericFunction) child->dispatch_table.Color4s);
	__fillin( 69, "Color4sv", (SPUGenericFunction) child->dispatch_table.Color4sv);
	__fillin( 70, "Color4ub", (SPUGenericFunction) child->dispatch_table.Color4ub);
	__fillin( 71, "Color4ubv", (SPUGenericFunction) child->dispatch_table.Color4ubv);
	__fillin( 72, "Color4ui", (SPUGenericFunction) child->dispatch_table.Color4ui);
	__fillin( 73, "Color4uiv", (SPUGenericFunction) child->dispatch_table.Color4uiv);
	__fillin( 74, "Color4us", (SPUGenericFunction) child->dispatch_table.Color4us);
	__fillin( 75, "Color4usv", (SPUGenericFunction) child->dispatch_table.Color4usv);
	__fillin( 76, "ColorMask", (SPUGenericFunction) child->dispatch_table.ColorMask);
	__fillin( 77, "ColorMaterial", (SPUGenericFunction) child->dispatch_table.ColorMaterial);
	__fillin( 78, "ColorPointer", (SPUGenericFunction) child->dispatch_table.ColorPointer);
	__fillin( 79, "CombinerInputNV", (SPUGenericFunction) child->dispatch_table.CombinerInputNV);
	__fillin( 80, "CombinerOutputNV", (SPUGenericFunction) child->dispatch_table.CombinerOutputNV);
	__fillin( 81, "CombinerParameterfNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterfNV);
	__fillin( 82, "CombinerParameterfvNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterfvNV);
	__fillin( 83, "CombinerParameteriNV", (SPUGenericFunction) child->dispatch_table.CombinerParameteriNV);
	__fillin( 84, "CombinerParameterivNV", (SPUGenericFunction) child->dispatch_table.CombinerParameterivNV);
	__fillin( 85, "CombinerStageParameterfvNV", (SPUGenericFunction) child->dispatch_table.CombinerStageParameterfvNV);
	__fillin( 86, "CompileShader", (SPUGenericFunction) child->dispatch_table.CompileShader);
	__fillin( 87, "CompressedTexImage1DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage1DARB);
	__fillin( 88, "CompressedTexImage2DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage2DARB);
	__fillin( 89, "CompressedTexImage3DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexImage3DARB);
	__fillin( 90, "CompressedTexSubImage1DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage1DARB);
	__fillin( 91, "CompressedTexSubImage2DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage2DARB);
	__fillin( 92, "CompressedTexSubImage3DARB", (SPUGenericFunction) child->dispatch_table.CompressedTexSubImage3DARB);
	__fillin( 93, "CopyPixels", (SPUGenericFunction) child->dispatch_table.CopyPixels);
	__fillin( 94, "CopyTexImage1D", (SPUGenericFunction) child->dispatch_table.CopyTexImage1D);
	__fillin( 95, "CopyTexImage2D", (SPUGenericFunction) child->dispatch_table.CopyTexImage2D);
	__fillin( 96, "CopyTexSubImage1D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage1D);
	__fillin( 97, "CopyTexSubImage2D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage2D);
	__fillin( 98, "CopyTexSubImage3D", (SPUGenericFunction) child->dispatch_table.CopyTexSubImage3D);
	__fillin( 99, "CreateContext", (SPUGenericFunction) child->dispatch_table.CreateContext);
	__fillin(100, "CreateProgram", (SPUGenericFunction) child->dispatch_table.CreateProgram);
	__fillin(101, "CreateShader", (SPUGenericFunction) child->dispatch_table.CreateShader);
	__fillin(102, "CullFace", (SPUGenericFunction) child->dispatch_table.CullFace);
	__fillin(103, "DeleteBuffersARB", (SPUGenericFunction) child->dispatch_table.DeleteBuffersARB);
	__fillin(104, "DeleteFencesNV", (SPUGenericFunction) child->dispatch_table.DeleteFencesNV);
	__fillin(105, "DeleteFramebuffersEXT", (SPUGenericFunction) child->dispatch_table.DeleteFramebuffersEXT);
	__fillin(106, "DeleteLists", (SPUGenericFunction) child->dispatch_table.DeleteLists);
	__fillin(107, "DeleteObjectARB", (SPUGenericFunction) child->dispatch_table.DeleteObjectARB);
	__fillin(108, "DeleteProgram", (SPUGenericFunction) child->dispatch_table.DeleteProgram);
	__fillin(109, "DeleteProgramsARB", (SPUGenericFunction) child->dispatch_table.DeleteProgramsARB);
	__fillin(110, "DeleteQueriesARB", (SPUGenericFunction) child->dispatch_table.DeleteQueriesARB);
	__fillin(111, "DeleteRenderbuffersEXT", (SPUGenericFunction) child->dispatch_table.DeleteRenderbuffersEXT);
	__fillin(112, "DeleteShader", (SPUGenericFunction) child->dispatch_table.DeleteShader);
	__fillin(113, "DeleteTextures", (SPUGenericFunction) child->dispatch_table.DeleteTextures);
	__fillin(114, "DepthFunc", (SPUGenericFunction) child->dispatch_table.DepthFunc);
	__fillin(115, "DepthMask", (SPUGenericFunction) child->dispatch_table.DepthMask);
	__fillin(116, "DepthRange", (SPUGenericFunction) child->dispatch_table.DepthRange);
	__fillin(117, "DestroyContext", (SPUGenericFunction) child->dispatch_table.DestroyContext);
	__fillin(118, "DetachShader", (SPUGenericFunction) child->dispatch_table.DetachShader);
	__fillin(119, "Disable", (SPUGenericFunction) child->dispatch_table.Disable);
	__fillin(120, "DisableClientState", (SPUGenericFunction) child->dispatch_table.DisableClientState);
	__fillin(121, "DisableVertexAttribArrayARB", (SPUGenericFunction) child->dispatch_table.DisableVertexAttribArrayARB);
	__fillin(122, "DrawArrays", (SPUGenericFunction) child->dispatch_table.DrawArrays);
	__fillin(123, "DrawBuffer", (SPUGenericFunction) child->dispatch_table.DrawBuffer);
	__fillin(124, "DrawBuffers", (SPUGenericFunction) child->dispatch_table.DrawBuffers);
	__fillin(125, "DrawElements", (SPUGenericFunction) child->dispatch_table.DrawElements);
	__fillin(126, "DrawPixels", (SPUGenericFunction) child->dispatch_table.DrawPixels);
	__fillin(127, "DrawRangeElements", (SPUGenericFunction) child->dispatch_table.DrawRangeElements);
	__fillin(128, "EdgeFlag", (SPUGenericFunction) child->dispatch_table.EdgeFlag);
	__fillin(129, "EdgeFlagPointer", (SPUGenericFunction) child->dispatch_table.EdgeFlagPointer);
	__fillin(130, "EdgeFlagv", (SPUGenericFunction) child->dispatch_table.EdgeFlagv);
	__fillin(131, "Enable", (SPUGenericFunction) child->dispatch_table.Enable);
	__fillin(132, "EnableClientState", (SPUGenericFunction) child->dispatch_table.EnableClientState);
	__fillin(133, "EnableVertexAttribArrayARB", (SPUGenericFunction) child->dispatch_table.EnableVertexAttribArrayARB);
	__fillin(134, "End", (SPUGenericFunction) child->dispatch_table.End);
	__fillin(135, "EndList", (SPUGenericFunction) child->dispatch_table.EndList);
	__fillin(136, "EndQueryARB", (SPUGenericFunction) child->dispatch_table.EndQueryARB);
	__fillin(137, "EvalCoord1d", (SPUGenericFunction) child->dispatch_table.EvalCoord1d);
	__fillin(138, "EvalCoord1dv", (SPUGenericFunction) child->dispatch_table.EvalCoord1dv);
	__fillin(139, "EvalCoord1f", (SPUGenericFunction) child->dispatch_table.EvalCoord1f);
	__fillin(140, "EvalCoord1fv", (SPUGenericFunction) child->dispatch_table.EvalCoord1fv);
	__fillin(141, "EvalCoord2d", (SPUGenericFunction) child->dispatch_table.EvalCoord2d);
	__fillin(142, "EvalCoord2dv", (SPUGenericFunction) child->dispatch_table.EvalCoord2dv);
	__fillin(143, "EvalCoord2f", (SPUGenericFunction) child->dispatch_table.EvalCoord2f);
	__fillin(144, "EvalCoord2fv", (SPUGenericFunction) child->dispatch_table.EvalCoord2fv);
	__fillin(145, "EvalMesh1", (SPUGenericFunction) child->dispatch_table.EvalMesh1);
	__fillin(146, "EvalMesh2", (SPUGenericFunction) child->dispatch_table.EvalMesh2);
	__fillin(147, "EvalPoint1", (SPUGenericFunction) child->dispatch_table.EvalPoint1);
	__fillin(148, "EvalPoint2", (SPUGenericFunction) child->dispatch_table.EvalPoint2);
	__fillin(149, "ExecuteProgramNV", (SPUGenericFunction) child->dispatch_table.ExecuteProgramNV);
	__fillin(150, "FeedbackBuffer", (SPUGenericFunction) child->dispatch_table.FeedbackBuffer);
	__fillin(151, "FinalCombinerInputNV", (SPUGenericFunction) child->dispatch_table.FinalCombinerInputNV);
	__fillin(152, "Finish", (SPUGenericFunction) child->dispatch_table.Finish);
	__fillin(153, "FinishFenceNV", (SPUGenericFunction) child->dispatch_table.FinishFenceNV);
	__fillin(154, "Flush", (SPUGenericFunction) child->dispatch_table.Flush);
	__fillin(155, "FlushVertexArrayRangeNV", (SPUGenericFunction) child->dispatch_table.FlushVertexArrayRangeNV);
	__fillin(156, "FogCoordPointerEXT", (SPUGenericFunction) child->dispatch_table.FogCoordPointerEXT);
	__fillin(157, "FogCoorddEXT", (SPUGenericFunction) child->dispatch_table.FogCoorddEXT);
	__fillin(158, "FogCoorddvEXT", (SPUGenericFunction) child->dispatch_table.FogCoorddvEXT);
	__fillin(159, "FogCoordfEXT", (SPUGenericFunction) child->dispatch_table.FogCoordfEXT);
	__fillin(160, "FogCoordfvEXT", (SPUGenericFunction) child->dispatch_table.FogCoordfvEXT);
	__fillin(161, "Fogf", (SPUGenericFunction) child->dispatch_table.Fogf);
	__fillin(162, "Fogfv", (SPUGenericFunction) child->dispatch_table.Fogfv);
	__fillin(163, "Fogi", (SPUGenericFunction) child->dispatch_table.Fogi);
	__fillin(164, "Fogiv", (SPUGenericFunction) child->dispatch_table.Fogiv);
	__fillin(165, "FramebufferRenderbufferEXT", (SPUGenericFunction) child->dispatch_table.FramebufferRenderbufferEXT);
	__fillin(166, "FramebufferTexture1DEXT", (SPUGenericFunction) child->dispatch_table.FramebufferTexture1DEXT);
	__fillin(167, "FramebufferTexture2DEXT", (SPUGenericFunction) child->dispatch_table.FramebufferTexture2DEXT);
	__fillin(168, "FramebufferTexture3DEXT", (SPUGenericFunction) child->dispatch_table.FramebufferTexture3DEXT);
	__fillin(169, "FrontFace", (SPUGenericFunction) child->dispatch_table.FrontFace);
	__fillin(170, "Frustum", (SPUGenericFunction) child->dispatch_table.Frustum);
	__fillin(171, "GenBuffersARB", (SPUGenericFunction) child->dispatch_table.GenBuffersARB);
	__fillin(172, "GenFencesNV", (SPUGenericFunction) child->dispatch_table.GenFencesNV);
	__fillin(173, "GenFramebuffersEXT", (SPUGenericFunction) child->dispatch_table.GenFramebuffersEXT);
	__fillin(174, "GenLists", (SPUGenericFunction) child->dispatch_table.GenLists);
	__fillin(175, "GenProgramsARB", (SPUGenericFunction) child->dispatch_table.GenProgramsARB);
	__fillin(176, "GenProgramsNV", (SPUGenericFunction) child->dispatch_table.GenProgramsNV);
	__fillin(177, "GenQueriesARB", (SPUGenericFunction) child->dispatch_table.GenQueriesARB);
	__fillin(178, "GenRenderbuffersEXT", (SPUGenericFunction) child->dispatch_table.GenRenderbuffersEXT);
	__fillin(179, "GenTextures", (SPUGenericFunction) child->dispatch_table.GenTextures);
	__fillin(180, "GenerateMipmapEXT", (SPUGenericFunction) child->dispatch_table.GenerateMipmapEXT);
	__fillin(181, "GetActiveAttrib", (SPUGenericFunction) child->dispatch_table.GetActiveAttrib);
	__fillin(182, "GetActiveUniform", (SPUGenericFunction) child->dispatch_table.GetActiveUniform);
	__fillin(183, "GetAttachedObjectsARB", (SPUGenericFunction) child->dispatch_table.GetAttachedObjectsARB);
	__fillin(184, "GetAttachedShaders", (SPUGenericFunction) child->dispatch_table.GetAttachedShaders);
	__fillin(185, "GetAttribLocation", (SPUGenericFunction) child->dispatch_table.GetAttribLocation);
	__fillin(186, "GetAttribsLocations", (SPUGenericFunction) child->dispatch_table.GetAttribsLocations);
	__fillin(187, "GetBooleanv", (SPUGenericFunction) child->dispatch_table.GetBooleanv);
	__fillin(188, "GetBufferParameterivARB", (SPUGenericFunction) child->dispatch_table.GetBufferParameterivARB);
	__fillin(189, "GetBufferPointervARB", (SPUGenericFunction) child->dispatch_table.GetBufferPointervARB);
	__fillin(190, "GetBufferSubDataARB", (SPUGenericFunction) child->dispatch_table.GetBufferSubDataARB);
	__fillin(191, "GetChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.GetChromiumParametervCR);
	__fillin(192, "GetClipPlane", (SPUGenericFunction) child->dispatch_table.GetClipPlane);
	__fillin(193, "GetCombinerInputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerInputParameterfvNV);
	__fillin(194, "GetCombinerInputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetCombinerInputParameterivNV);
	__fillin(195, "GetCombinerOutputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerOutputParameterfvNV);
	__fillin(196, "GetCombinerOutputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetCombinerOutputParameterivNV);
	__fillin(197, "GetCombinerStageParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetCombinerStageParameterfvNV);
	__fillin(198, "GetCompressedTexImageARB", (SPUGenericFunction) child->dispatch_table.GetCompressedTexImageARB);
	__fillin(199, "GetDoublev", (SPUGenericFunction) child->dispatch_table.GetDoublev);
	__fillin(200, "GetError", (SPUGenericFunction) child->dispatch_table.GetError);
	__fillin(201, "GetFenceivNV", (SPUGenericFunction) child->dispatch_table.GetFenceivNV);
	__fillin(202, "GetFinalCombinerInputParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetFinalCombinerInputParameterfvNV);
	__fillin(203, "GetFinalCombinerInputParameterivNV", (SPUGenericFunction) child->dispatch_table.GetFinalCombinerInputParameterivNV);
	__fillin(204, "GetFloatv", (SPUGenericFunction) child->dispatch_table.GetFloatv);
	__fillin(205, "GetFramebufferAttachmentParameterivEXT", (SPUGenericFunction) child->dispatch_table.GetFramebufferAttachmentParameterivEXT);
	__fillin(206, "GetHandleARB", (SPUGenericFunction) child->dispatch_table.GetHandleARB);
	__fillin(207, "GetInfoLogARB", (SPUGenericFunction) child->dispatch_table.GetInfoLogARB);
	__fillin(208, "GetIntegerv", (SPUGenericFunction) child->dispatch_table.GetIntegerv);
	__fillin(209, "GetLightfv", (SPUGenericFunction) child->dispatch_table.GetLightfv);
	__fillin(210, "GetLightiv", (SPUGenericFunction) child->dispatch_table.GetLightiv);
	__fillin(211, "GetMapdv", (SPUGenericFunction) child->dispatch_table.GetMapdv);
	__fillin(212, "GetMapfv", (SPUGenericFunction) child->dispatch_table.GetMapfv);
	__fillin(213, "GetMapiv", (SPUGenericFunction) child->dispatch_table.GetMapiv);
	__fillin(214, "GetMaterialfv", (SPUGenericFunction) child->dispatch_table.GetMaterialfv);
	__fillin(215, "GetMaterialiv", (SPUGenericFunction) child->dispatch_table.GetMaterialiv);
	__fillin(216, "GetObjectParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetObjectParameterfvARB);
	__fillin(217, "GetObjectParameterivARB", (SPUGenericFunction) child->dispatch_table.GetObjectParameterivARB);
	__fillin(218, "GetPixelMapfv", (SPUGenericFunction) child->dispatch_table.GetPixelMapfv);
	__fillin(219, "GetPixelMapuiv", (SPUGenericFunction) child->dispatch_table.GetPixelMapuiv);
	__fillin(220, "GetPixelMapusv", (SPUGenericFunction) child->dispatch_table.GetPixelMapusv);
	__fillin(221, "GetPointerv", (SPUGenericFunction) child->dispatch_table.GetPointerv);
	__fillin(222, "GetPolygonStipple", (SPUGenericFunction) child->dispatch_table.GetPolygonStipple);
	__fillin(223, "GetProgramEnvParameterdvARB", (SPUGenericFunction) child->dispatch_table.GetProgramEnvParameterdvARB);
	__fillin(224, "GetProgramEnvParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetProgramEnvParameterfvARB);
	__fillin(225, "GetProgramInfoLog", (SPUGenericFunction) child->dispatch_table.GetProgramInfoLog);
	__fillin(226, "GetProgramLocalParameterdvARB", (SPUGenericFunction) child->dispatch_table.GetProgramLocalParameterdvARB);
	__fillin(227, "GetProgramLocalParameterfvARB", (SPUGenericFunction) child->dispatch_table.GetProgramLocalParameterfvARB);
	__fillin(228, "GetProgramNamedParameterdvNV", (SPUGenericFunction) child->dispatch_table.GetProgramNamedParameterdvNV);
	__fillin(229, "GetProgramNamedParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetProgramNamedParameterfvNV);
	__fillin(230, "GetProgramParameterdvNV", (SPUGenericFunction) child->dispatch_table.GetProgramParameterdvNV);
	__fillin(231, "GetProgramParameterfvNV", (SPUGenericFunction) child->dispatch_table.GetProgramParameterfvNV);
	__fillin(232, "GetProgramStringARB", (SPUGenericFunction) child->dispatch_table.GetProgramStringARB);
	__fillin(233, "GetProgramStringNV", (SPUGenericFunction) child->dispatch_table.GetProgramStringNV);
	__fillin(234, "GetProgramiv", (SPUGenericFunction) child->dispatch_table.GetProgramiv);
	__fillin(235, "GetProgramivARB", (SPUGenericFunction) child->dispatch_table.GetProgramivARB);
	__fillin(236, "GetProgramivNV", (SPUGenericFunction) child->dispatch_table.GetProgramivNV);
	__fillin(237, "GetQueryObjectivARB", (SPUGenericFunction) child->dispatch_table.GetQueryObjectivARB);
	__fillin(238, "GetQueryObjectuivARB", (SPUGenericFunction) child->dispatch_table.GetQueryObjectuivARB);
	__fillin(239, "GetQueryivARB", (SPUGenericFunction) child->dispatch_table.GetQueryivARB);
	__fillin(240, "GetRenderbufferParameterivEXT", (SPUGenericFunction) child->dispatch_table.GetRenderbufferParameterivEXT);
	__fillin(241, "GetShaderInfoLog", (SPUGenericFunction) child->dispatch_table.GetShaderInfoLog);
	__fillin(242, "GetShaderSource", (SPUGenericFunction) child->dispatch_table.GetShaderSource);
	__fillin(243, "GetShaderiv", (SPUGenericFunction) child->dispatch_table.GetShaderiv);
	__fillin(244, "GetString", (SPUGenericFunction) child->dispatch_table.GetString);
	__fillin(245, "GetTexEnvfv", (SPUGenericFunction) child->dispatch_table.GetTexEnvfv);
	__fillin(246, "GetTexEnviv", (SPUGenericFunction) child->dispatch_table.GetTexEnviv);
	__fillin(247, "GetTexGendv", (SPUGenericFunction) child->dispatch_table.GetTexGendv);
	__fillin(248, "GetTexGenfv", (SPUGenericFunction) child->dispatch_table.GetTexGenfv);
	__fillin(249, "GetTexGeniv", (SPUGenericFunction) child->dispatch_table.GetTexGeniv);
	__fillin(250, "GetTexImage", (SPUGenericFunction) child->dispatch_table.GetTexImage);
	__fillin(251, "GetTexLevelParameterfv", (SPUGenericFunction) child->dispatch_table.GetTexLevelParameterfv);
	__fillin(252, "GetTexLevelParameteriv", (SPUGenericFunction) child->dispatch_table.GetTexLevelParameteriv);
	__fillin(253, "GetTexParameterfv", (SPUGenericFunction) child->dispatch_table.GetTexParameterfv);
	__fillin(254, "GetTexParameteriv", (SPUGenericFunction) child->dispatch_table.GetTexParameteriv);
	__fillin(255, "GetTrackMatrixivNV", (SPUGenericFunction) child->dispatch_table.GetTrackMatrixivNV);
	__fillin(256, "GetUniformLocation", (SPUGenericFunction) child->dispatch_table.GetUniformLocation);
	__fillin(257, "GetUniformfv", (SPUGenericFunction) child->dispatch_table.GetUniformfv);
	__fillin(258, "GetUniformiv", (SPUGenericFunction) child->dispatch_table.GetUniformiv);
	__fillin(259, "GetUniformsLocations", (SPUGenericFunction) child->dispatch_table.GetUniformsLocations);
	__fillin(260, "GetVertexAttribPointervARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribPointervARB);
	__fillin(261, "GetVertexAttribPointervNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribPointervNV);
	__fillin(262, "GetVertexAttribdvARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribdvARB);
	__fillin(263, "GetVertexAttribdvNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribdvNV);
	__fillin(264, "GetVertexAttribfvARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribfvARB);
	__fillin(265, "GetVertexAttribfvNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribfvNV);
	__fillin(266, "GetVertexAttribivARB", (SPUGenericFunction) child->dispatch_table.GetVertexAttribivARB);
	__fillin(267, "GetVertexAttribivNV", (SPUGenericFunction) child->dispatch_table.GetVertexAttribivNV);
	__fillin(268, "Hint", (SPUGenericFunction) child->dispatch_table.Hint);
	__fillin(269, "IndexMask", (SPUGenericFunction) child->dispatch_table.IndexMask);
	__fillin(270, "IndexPointer", (SPUGenericFunction) child->dispatch_table.IndexPointer);
	__fillin(271, "Indexd", (SPUGenericFunction) child->dispatch_table.Indexd);
	__fillin(272, "Indexdv", (SPUGenericFunction) child->dispatch_table.Indexdv);
	__fillin(273, "Indexf", (SPUGenericFunction) child->dispatch_table.Indexf);
	__fillin(274, "Indexfv", (SPUGenericFunction) child->dispatch_table.Indexfv);
	__fillin(275, "Indexi", (SPUGenericFunction) child->dispatch_table.Indexi);
	__fillin(276, "Indexiv", (SPUGenericFunction) child->dispatch_table.Indexiv);
	__fillin(277, "Indexs", (SPUGenericFunction) child->dispatch_table.Indexs);
	__fillin(278, "Indexsv", (SPUGenericFunction) child->dispatch_table.Indexsv);
	__fillin(279, "Indexub", (SPUGenericFunction) child->dispatch_table.Indexub);
	__fillin(280, "Indexubv", (SPUGenericFunction) child->dispatch_table.Indexubv);
	__fillin(281, "InitNames", (SPUGenericFunction) child->dispatch_table.InitNames);
	__fillin(282, "InterleavedArrays", (SPUGenericFunction) child->dispatch_table.InterleavedArrays);
	__fillin(283, "IsBufferARB", (SPUGenericFunction) child->dispatch_table.IsBufferARB);
	__fillin(284, "IsEnabled", (SPUGenericFunction) child->dispatch_table.IsEnabled);
	__fillin(285, "IsFenceNV", (SPUGenericFunction) child->dispatch_table.IsFenceNV);
	__fillin(286, "IsFramebufferEXT", (SPUGenericFunction) child->dispatch_table.IsFramebufferEXT);
	__fillin(287, "IsList", (SPUGenericFunction) child->dispatch_table.IsList);
	__fillin(288, "IsProgram", (SPUGenericFunction) child->dispatch_table.IsProgram);
	__fillin(289, "IsProgramARB", (SPUGenericFunction) child->dispatch_table.IsProgramARB);
	__fillin(290, "IsQueryARB", (SPUGenericFunction) child->dispatch_table.IsQueryARB);
	__fillin(291, "IsRenderbufferEXT", (SPUGenericFunction) child->dispatch_table.IsRenderbufferEXT);
	__fillin(292, "IsShader", (SPUGenericFunction) child->dispatch_table.IsShader);
	__fillin(293, "IsTexture", (SPUGenericFunction) child->dispatch_table.IsTexture);
	__fillin(294, "LightModelf", (SPUGenericFunction) child->dispatch_table.LightModelf);
	__fillin(295, "LightModelfv", (SPUGenericFunction) child->dispatch_table.LightModelfv);
	__fillin(296, "LightModeli", (SPUGenericFunction) child->dispatch_table.LightModeli);
	__fillin(297, "LightModeliv", (SPUGenericFunction) child->dispatch_table.LightModeliv);
	__fillin(298, "Lightf", (SPUGenericFunction) child->dispatch_table.Lightf);
	__fillin(299, "Lightfv", (SPUGenericFunction) child->dispatch_table.Lightfv);
	__fillin(300, "Lighti", (SPUGenericFunction) child->dispatch_table.Lighti);
	__fillin(301, "Lightiv", (SPUGenericFunction) child->dispatch_table.Lightiv);
	__fillin(302, "LineStipple", (SPUGenericFunction) child->dispatch_table.LineStipple);
	__fillin(303, "LineWidth", (SPUGenericFunction) child->dispatch_table.LineWidth);
	__fillin(304, "LinkProgram", (SPUGenericFunction) child->dispatch_table.LinkProgram);
	__fillin(305, "ListBase", (SPUGenericFunction) child->dispatch_table.ListBase);
	__fillin(306, "LoadIdentity", (SPUGenericFunction) child->dispatch_table.LoadIdentity);
	__fillin(307, "LoadMatrixd", (SPUGenericFunction) child->dispatch_table.LoadMatrixd);
	__fillin(308, "LoadMatrixf", (SPUGenericFunction) child->dispatch_table.LoadMatrixf);
	__fillin(309, "LoadName", (SPUGenericFunction) child->dispatch_table.LoadName);
	__fillin(310, "LoadProgramNV", (SPUGenericFunction) child->dispatch_table.LoadProgramNV);
	__fillin(311, "LoadTransposeMatrixdARB", (SPUGenericFunction) child->dispatch_table.LoadTransposeMatrixdARB);
	__fillin(312, "LoadTransposeMatrixfARB", (SPUGenericFunction) child->dispatch_table.LoadTransposeMatrixfARB);
	__fillin(313, "LockArraysEXT", (SPUGenericFunction) child->dispatch_table.LockArraysEXT);
	__fillin(314, "LogicOp", (SPUGenericFunction) child->dispatch_table.LogicOp);
	__fillin(315, "MakeCurrent", (SPUGenericFunction) child->dispatch_table.MakeCurrent);
	__fillin(316, "Map1d", (SPUGenericFunction) child->dispatch_table.Map1d);
	__fillin(317, "Map1f", (SPUGenericFunction) child->dispatch_table.Map1f);
	__fillin(318, "Map2d", (SPUGenericFunction) child->dispatch_table.Map2d);
	__fillin(319, "Map2f", (SPUGenericFunction) child->dispatch_table.Map2f);
	__fillin(320, "MapBufferARB", (SPUGenericFunction) child->dispatch_table.MapBufferARB);
	__fillin(321, "MapGrid1d", (SPUGenericFunction) child->dispatch_table.MapGrid1d);
	__fillin(322, "MapGrid1f", (SPUGenericFunction) child->dispatch_table.MapGrid1f);
	__fillin(323, "MapGrid2d", (SPUGenericFunction) child->dispatch_table.MapGrid2d);
	__fillin(324, "MapGrid2f", (SPUGenericFunction) child->dispatch_table.MapGrid2f);
	__fillin(325, "Materialf", (SPUGenericFunction) child->dispatch_table.Materialf);
	__fillin(326, "Materialfv", (SPUGenericFunction) child->dispatch_table.Materialfv);
	__fillin(327, "Materiali", (SPUGenericFunction) child->dispatch_table.Materiali);
	__fillin(328, "Materialiv", (SPUGenericFunction) child->dispatch_table.Materialiv);
	__fillin(329, "MatrixMode", (SPUGenericFunction) child->dispatch_table.MatrixMode);
	__fillin(330, "MultMatrixd", (SPUGenericFunction) child->dispatch_table.MultMatrixd);
	__fillin(331, "MultMatrixf", (SPUGenericFunction) child->dispatch_table.MultMatrixf);
	__fillin(332, "MultTransposeMatrixdARB", (SPUGenericFunction) child->dispatch_table.MultTransposeMatrixdARB);
	__fillin(333, "MultTransposeMatrixfARB", (SPUGenericFunction) child->dispatch_table.MultTransposeMatrixfARB);
	__fillin(334, "MultiDrawArraysEXT", (SPUGenericFunction) child->dispatch_table.MultiDrawArraysEXT);
	__fillin(335, "MultiDrawElementsEXT", (SPUGenericFunction) child->dispatch_table.MultiDrawElementsEXT);
	__fillin(336, "MultiTexCoord1dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1dARB);
	__fillin(337, "MultiTexCoord1dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1dvARB);
	__fillin(338, "MultiTexCoord1fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1fARB);
	__fillin(339, "MultiTexCoord1fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1fvARB);
	__fillin(340, "MultiTexCoord1iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1iARB);
	__fillin(341, "MultiTexCoord1ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1ivARB);
	__fillin(342, "MultiTexCoord1sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1sARB);
	__fillin(343, "MultiTexCoord1svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord1svARB);
	__fillin(344, "MultiTexCoord2dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2dARB);
	__fillin(345, "MultiTexCoord2dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2dvARB);
	__fillin(346, "MultiTexCoord2fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2fARB);
	__fillin(347, "MultiTexCoord2fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2fvARB);
	__fillin(348, "MultiTexCoord2iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2iARB);
	__fillin(349, "MultiTexCoord2ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2ivARB);
	__fillin(350, "MultiTexCoord2sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2sARB);
	__fillin(351, "MultiTexCoord2svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord2svARB);
	__fillin(352, "MultiTexCoord3dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3dARB);
	__fillin(353, "MultiTexCoord3dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3dvARB);
	__fillin(354, "MultiTexCoord3fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3fARB);
	__fillin(355, "MultiTexCoord3fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3fvARB);
	__fillin(356, "MultiTexCoord3iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3iARB);
	__fillin(357, "MultiTexCoord3ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3ivARB);
	__fillin(358, "MultiTexCoord3sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3sARB);
	__fillin(359, "MultiTexCoord3svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord3svARB);
	__fillin(360, "MultiTexCoord4dARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4dARB);
	__fillin(361, "MultiTexCoord4dvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4dvARB);
	__fillin(362, "MultiTexCoord4fARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4fARB);
	__fillin(363, "MultiTexCoord4fvARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4fvARB);
	__fillin(364, "MultiTexCoord4iARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4iARB);
	__fillin(365, "MultiTexCoord4ivARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4ivARB);
	__fillin(366, "MultiTexCoord4sARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4sARB);
	__fillin(367, "MultiTexCoord4svARB", (SPUGenericFunction) child->dispatch_table.MultiTexCoord4svARB);
	__fillin(368, "NewList", (SPUGenericFunction) child->dispatch_table.NewList);
	__fillin(369, "Normal3b", (SPUGenericFunction) child->dispatch_table.Normal3b);
	__fillin(370, "Normal3bv", (SPUGenericFunction) child->dispatch_table.Normal3bv);
	__fillin(371, "Normal3d", (SPUGenericFunction) child->dispatch_table.Normal3d);
	__fillin(372, "Normal3dv", (SPUGenericFunction) child->dispatch_table.Normal3dv);
	__fillin(373, "Normal3f", (SPUGenericFunction) child->dispatch_table.Normal3f);
	__fillin(374, "Normal3fv", (SPUGenericFunction) child->dispatch_table.Normal3fv);
	__fillin(375, "Normal3i", (SPUGenericFunction) child->dispatch_table.Normal3i);
	__fillin(376, "Normal3iv", (SPUGenericFunction) child->dispatch_table.Normal3iv);
	__fillin(377, "Normal3s", (SPUGenericFunction) child->dispatch_table.Normal3s);
	__fillin(378, "Normal3sv", (SPUGenericFunction) child->dispatch_table.Normal3sv);
	__fillin(379, "NormalPointer", (SPUGenericFunction) child->dispatch_table.NormalPointer);
	__fillin(380, "Ortho", (SPUGenericFunction) child->dispatch_table.Ortho);
	__fillin(381, "PassThrough", (SPUGenericFunction) child->dispatch_table.PassThrough);
	__fillin(382, "PixelMapfv", (SPUGenericFunction) child->dispatch_table.PixelMapfv);
	__fillin(383, "PixelMapuiv", (SPUGenericFunction) child->dispatch_table.PixelMapuiv);
	__fillin(384, "PixelMapusv", (SPUGenericFunction) child->dispatch_table.PixelMapusv);
	__fillin(385, "PixelStoref", (SPUGenericFunction) child->dispatch_table.PixelStoref);
	__fillin(386, "PixelStorei", (SPUGenericFunction) child->dispatch_table.PixelStorei);
	__fillin(387, "PixelTransferf", (SPUGenericFunction) child->dispatch_table.PixelTransferf);
	__fillin(388, "PixelTransferi", (SPUGenericFunction) child->dispatch_table.PixelTransferi);
	__fillin(389, "PixelZoom", (SPUGenericFunction) child->dispatch_table.PixelZoom);
	__fillin(390, "PointParameterfARB", (SPUGenericFunction) child->dispatch_table.PointParameterfARB);
	__fillin(391, "PointParameterfvARB", (SPUGenericFunction) child->dispatch_table.PointParameterfvARB);
	__fillin(392, "PointParameteri", (SPUGenericFunction) child->dispatch_table.PointParameteri);
	__fillin(393, "PointParameteriv", (SPUGenericFunction) child->dispatch_table.PointParameteriv);
	__fillin(394, "PointSize", (SPUGenericFunction) child->dispatch_table.PointSize);
	__fillin(395, "PolygonMode", (SPUGenericFunction) child->dispatch_table.PolygonMode);
	__fillin(396, "PolygonOffset", (SPUGenericFunction) child->dispatch_table.PolygonOffset);
	__fillin(397, "PolygonStipple", (SPUGenericFunction) child->dispatch_table.PolygonStipple);
	__fillin(398, "PopAttrib", (SPUGenericFunction) child->dispatch_table.PopAttrib);
	__fillin(399, "PopClientAttrib", (SPUGenericFunction) child->dispatch_table.PopClientAttrib);
	__fillin(400, "PopMatrix", (SPUGenericFunction) child->dispatch_table.PopMatrix);
	__fillin(401, "PopName", (SPUGenericFunction) child->dispatch_table.PopName);
	__fillin(402, "PrioritizeTextures", (SPUGenericFunction) child->dispatch_table.PrioritizeTextures);
	__fillin(403, "ProgramEnvParameter4dARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4dARB);
	__fillin(404, "ProgramEnvParameter4dvARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4dvARB);
	__fillin(405, "ProgramEnvParameter4fARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4fARB);
	__fillin(406, "ProgramEnvParameter4fvARB", (SPUGenericFunction) child->dispatch_table.ProgramEnvParameter4fvARB);
	__fillin(407, "ProgramLocalParameter4dARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4dARB);
	__fillin(408, "ProgramLocalParameter4dvARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4dvARB);
	__fillin(409, "ProgramLocalParameter4fARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4fARB);
	__fillin(410, "ProgramLocalParameter4fvARB", (SPUGenericFunction) child->dispatch_table.ProgramLocalParameter4fvARB);
	__fillin(411, "ProgramNamedParameter4dNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4dNV);
	__fillin(412, "ProgramNamedParameter4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4dvNV);
	__fillin(413, "ProgramNamedParameter4fNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4fNV);
	__fillin(414, "ProgramNamedParameter4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramNamedParameter4fvNV);
	__fillin(415, "ProgramParameter4dNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4dNV);
	__fillin(416, "ProgramParameter4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4dvNV);
	__fillin(417, "ProgramParameter4fNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4fNV);
	__fillin(418, "ProgramParameter4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameter4fvNV);
	__fillin(419, "ProgramParameters4dvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameters4dvNV);
	__fillin(420, "ProgramParameters4fvNV", (SPUGenericFunction) child->dispatch_table.ProgramParameters4fvNV);
	__fillin(421, "ProgramStringARB", (SPUGenericFunction) child->dispatch_table.ProgramStringARB);
	__fillin(422, "PushAttrib", (SPUGenericFunction) child->dispatch_table.PushAttrib);
	__fillin(423, "PushClientAttrib", (SPUGenericFunction) child->dispatch_table.PushClientAttrib);
	__fillin(424, "PushMatrix", (SPUGenericFunction) child->dispatch_table.PushMatrix);
	__fillin(425, "PushName", (SPUGenericFunction) child->dispatch_table.PushName);
	__fillin(426, "RasterPos2d", (SPUGenericFunction) child->dispatch_table.RasterPos2d);
	__fillin(427, "RasterPos2dv", (SPUGenericFunction) child->dispatch_table.RasterPos2dv);
	__fillin(428, "RasterPos2f", (SPUGenericFunction) child->dispatch_table.RasterPos2f);
	__fillin(429, "RasterPos2fv", (SPUGenericFunction) child->dispatch_table.RasterPos2fv);
	__fillin(430, "RasterPos2i", (SPUGenericFunction) child->dispatch_table.RasterPos2i);
	__fillin(431, "RasterPos2iv", (SPUGenericFunction) child->dispatch_table.RasterPos2iv);
	__fillin(432, "RasterPos2s", (SPUGenericFunction) child->dispatch_table.RasterPos2s);
	__fillin(433, "RasterPos2sv", (SPUGenericFunction) child->dispatch_table.RasterPos2sv);
	__fillin(434, "RasterPos3d", (SPUGenericFunction) child->dispatch_table.RasterPos3d);
	__fillin(435, "RasterPos3dv", (SPUGenericFunction) child->dispatch_table.RasterPos3dv);
	__fillin(436, "RasterPos3f", (SPUGenericFunction) child->dispatch_table.RasterPos3f);
	__fillin(437, "RasterPos3fv", (SPUGenericFunction) child->dispatch_table.RasterPos3fv);
	__fillin(438, "RasterPos3i", (SPUGenericFunction) child->dispatch_table.RasterPos3i);
	__fillin(439, "RasterPos3iv", (SPUGenericFunction) child->dispatch_table.RasterPos3iv);
	__fillin(440, "RasterPos3s", (SPUGenericFunction) child->dispatch_table.RasterPos3s);
	__fillin(441, "RasterPos3sv", (SPUGenericFunction) child->dispatch_table.RasterPos3sv);
	__fillin(442, "RasterPos4d", (SPUGenericFunction) child->dispatch_table.RasterPos4d);
	__fillin(443, "RasterPos4dv", (SPUGenericFunction) child->dispatch_table.RasterPos4dv);
	__fillin(444, "RasterPos4f", (SPUGenericFunction) child->dispatch_table.RasterPos4f);
	__fillin(445, "RasterPos4fv", (SPUGenericFunction) child->dispatch_table.RasterPos4fv);
	__fillin(446, "RasterPos4i", (SPUGenericFunction) child->dispatch_table.RasterPos4i);
	__fillin(447, "RasterPos4iv", (SPUGenericFunction) child->dispatch_table.RasterPos4iv);
	__fillin(448, "RasterPos4s", (SPUGenericFunction) child->dispatch_table.RasterPos4s);
	__fillin(449, "RasterPos4sv", (SPUGenericFunction) child->dispatch_table.RasterPos4sv);
	__fillin(450, "ReadBuffer", (SPUGenericFunction) child->dispatch_table.ReadBuffer);
	__fillin(451, "ReadPixels", (SPUGenericFunction) child->dispatch_table.ReadPixels);
	__fillin(452, "Rectd", (SPUGenericFunction) child->dispatch_table.Rectd);
	__fillin(453, "Rectdv", (SPUGenericFunction) child->dispatch_table.Rectdv);
	__fillin(454, "Rectf", (SPUGenericFunction) child->dispatch_table.Rectf);
	__fillin(455, "Rectfv", (SPUGenericFunction) child->dispatch_table.Rectfv);
	__fillin(456, "Recti", (SPUGenericFunction) child->dispatch_table.Recti);
	__fillin(457, "Rectiv", (SPUGenericFunction) child->dispatch_table.Rectiv);
	__fillin(458, "Rects", (SPUGenericFunction) child->dispatch_table.Rects);
	__fillin(459, "Rectsv", (SPUGenericFunction) child->dispatch_table.Rectsv);
	__fillin(460, "RenderMode", (SPUGenericFunction) child->dispatch_table.RenderMode);
	__fillin(461, "RenderbufferStorageEXT", (SPUGenericFunction) child->dispatch_table.RenderbufferStorageEXT);
	__fillin(462, "RequestResidentProgramsNV", (SPUGenericFunction) child->dispatch_table.RequestResidentProgramsNV);
	__fillin(463, "Rotated", (SPUGenericFunction) child->dispatch_table.Rotated);
	__fillin(464, "Rotatef", (SPUGenericFunction) child->dispatch_table.Rotatef);
	__fillin(465, "SampleCoverageARB", (SPUGenericFunction) child->dispatch_table.SampleCoverageARB);
	__fillin(466, "Scaled", (SPUGenericFunction) child->dispatch_table.Scaled);
	__fillin(467, "Scalef", (SPUGenericFunction) child->dispatch_table.Scalef);
	__fillin(468, "Scissor", (SPUGenericFunction) child->dispatch_table.Scissor);
	__fillin(469, "SecondaryColor3bEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3bEXT);
	__fillin(470, "SecondaryColor3bvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3bvEXT);
	__fillin(471, "SecondaryColor3dEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3dEXT);
	__fillin(472, "SecondaryColor3dvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3dvEXT);
	__fillin(473, "SecondaryColor3fEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3fEXT);
	__fillin(474, "SecondaryColor3fvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3fvEXT);
	__fillin(475, "SecondaryColor3iEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3iEXT);
	__fillin(476, "SecondaryColor3ivEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ivEXT);
	__fillin(477, "SecondaryColor3sEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3sEXT);
	__fillin(478, "SecondaryColor3svEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3svEXT);
	__fillin(479, "SecondaryColor3ubEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ubEXT);
	__fillin(480, "SecondaryColor3ubvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3ubvEXT);
	__fillin(481, "SecondaryColor3uiEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3uiEXT);
	__fillin(482, "SecondaryColor3uivEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3uivEXT);
	__fillin(483, "SecondaryColor3usEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3usEXT);
	__fillin(484, "SecondaryColor3usvEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColor3usvEXT);
	__fillin(485, "SecondaryColorPointerEXT", (SPUGenericFunction) child->dispatch_table.SecondaryColorPointerEXT);
	__fillin(486, "SelectBuffer", (SPUGenericFunction) child->dispatch_table.SelectBuffer);
	__fillin(487, "SemaphoreCreateCR", (SPUGenericFunction) child->dispatch_table.SemaphoreCreateCR);
	__fillin(488, "SemaphoreDestroyCR", (SPUGenericFunction) child->dispatch_table.SemaphoreDestroyCR);
	__fillin(489, "SemaphorePCR", (SPUGenericFunction) child->dispatch_table.SemaphorePCR);
	__fillin(490, "SemaphoreVCR", (SPUGenericFunction) child->dispatch_table.SemaphoreVCR);
	__fillin(491, "SetFenceNV", (SPUGenericFunction) child->dispatch_table.SetFenceNV);
	__fillin(492, "ShadeModel", (SPUGenericFunction) child->dispatch_table.ShadeModel);
	__fillin(493, "ShaderSource", (SPUGenericFunction) child->dispatch_table.ShaderSource);
	__fillin(494, "StencilFunc", (SPUGenericFunction) child->dispatch_table.StencilFunc);
	__fillin(495, "StencilFuncSeparate", (SPUGenericFunction) child->dispatch_table.StencilFuncSeparate);
	__fillin(496, "StencilMask", (SPUGenericFunction) child->dispatch_table.StencilMask);
	__fillin(497, "StencilMaskSeparate", (SPUGenericFunction) child->dispatch_table.StencilMaskSeparate);
	__fillin(498, "StencilOp", (SPUGenericFunction) child->dispatch_table.StencilOp);
	__fillin(499, "StencilOpSeparate", (SPUGenericFunction) child->dispatch_table.StencilOpSeparate);
	__fillin(500, "StringMarkerGREMEDY", (SPUGenericFunction) child->dispatch_table.StringMarkerGREMEDY);
	__fillin(501, "SwapBuffers", (SPUGenericFunction) child->dispatch_table.SwapBuffers);
	__fillin(502, "TestFenceNV", (SPUGenericFunction) child->dispatch_table.TestFenceNV);
	__fillin(503, "TexCoord1d", (SPUGenericFunction) child->dispatch_table.TexCoord1d);
	__fillin(504, "TexCoord1dv", (SPUGenericFunction) child->dispatch_table.TexCoord1dv);
	__fillin(505, "TexCoord1f", (SPUGenericFunction) child->dispatch_table.TexCoord1f);
	__fillin(506, "TexCoord1fv", (SPUGenericFunction) child->dispatch_table.TexCoord1fv);
	__fillin(507, "TexCoord1i", (SPUGenericFunction) child->dispatch_table.TexCoord1i);
	__fillin(508, "TexCoord1iv", (SPUGenericFunction) child->dispatch_table.TexCoord1iv);
	__fillin(509, "TexCoord1s", (SPUGenericFunction) child->dispatch_table.TexCoord1s);
	__fillin(510, "TexCoord1sv", (SPUGenericFunction) child->dispatch_table.TexCoord1sv);
	__fillin(511, "TexCoord2d", (SPUGenericFunction) child->dispatch_table.TexCoord2d);
	__fillin(512, "TexCoord2dv", (SPUGenericFunction) child->dispatch_table.TexCoord2dv);
	__fillin(513, "TexCoord2f", (SPUGenericFunction) child->dispatch_table.TexCoord2f);
	__fillin(514, "TexCoord2fv", (SPUGenericFunction) child->dispatch_table.TexCoord2fv);
	__fillin(515, "TexCoord2i", (SPUGenericFunction) child->dispatch_table.TexCoord2i);
	__fillin(516, "TexCoord2iv", (SPUGenericFunction) child->dispatch_table.TexCoord2iv);
	__fillin(517, "TexCoord2s", (SPUGenericFunction) child->dispatch_table.TexCoord2s);
	__fillin(518, "TexCoord2sv", (SPUGenericFunction) child->dispatch_table.TexCoord2sv);
	__fillin(519, "TexCoord3d", (SPUGenericFunction) child->dispatch_table.TexCoord3d);
	__fillin(520, "TexCoord3dv", (SPUGenericFunction) child->dispatch_table.TexCoord3dv);
	__fillin(521, "TexCoord3f", (SPUGenericFunction) child->dispatch_table.TexCoord3f);
	__fillin(522, "TexCoord3fv", (SPUGenericFunction) child->dispatch_table.TexCoord3fv);
	__fillin(523, "TexCoord3i", (SPUGenericFunction) child->dispatch_table.TexCoord3i);
	__fillin(524, "TexCoord3iv", (SPUGenericFunction) child->dispatch_table.TexCoord3iv);
	__fillin(525, "TexCoord3s", (SPUGenericFunction) child->dispatch_table.TexCoord3s);
	__fillin(526, "TexCoord3sv", (SPUGenericFunction) child->dispatch_table.TexCoord3sv);
	__fillin(527, "TexCoord4d", (SPUGenericFunction) child->dispatch_table.TexCoord4d);
	__fillin(528, "TexCoord4dv", (SPUGenericFunction) child->dispatch_table.TexCoord4dv);
	__fillin(529, "TexCoord4f", (SPUGenericFunction) child->dispatch_table.TexCoord4f);
	__fillin(530, "TexCoord4fv", (SPUGenericFunction) child->dispatch_table.TexCoord4fv);
	__fillin(531, "TexCoord4i", (SPUGenericFunction) child->dispatch_table.TexCoord4i);
	__fillin(532, "TexCoord4iv", (SPUGenericFunction) child->dispatch_table.TexCoord4iv);
	__fillin(533, "TexCoord4s", (SPUGenericFunction) child->dispatch_table.TexCoord4s);
	__fillin(534, "TexCoord4sv", (SPUGenericFunction) child->dispatch_table.TexCoord4sv);
	__fillin(535, "TexCoordPointer", (SPUGenericFunction) child->dispatch_table.TexCoordPointer);
	__fillin(536, "TexEnvf", (SPUGenericFunction) child->dispatch_table.TexEnvf);
	__fillin(537, "TexEnvfv", (SPUGenericFunction) child->dispatch_table.TexEnvfv);
	__fillin(538, "TexEnvi", (SPUGenericFunction) child->dispatch_table.TexEnvi);
	__fillin(539, "TexEnviv", (SPUGenericFunction) child->dispatch_table.TexEnviv);
	__fillin(540, "TexGend", (SPUGenericFunction) child->dispatch_table.TexGend);
	__fillin(541, "TexGendv", (SPUGenericFunction) child->dispatch_table.TexGendv);
	__fillin(542, "TexGenf", (SPUGenericFunction) child->dispatch_table.TexGenf);
	__fillin(543, "TexGenfv", (SPUGenericFunction) child->dispatch_table.TexGenfv);
	__fillin(544, "TexGeni", (SPUGenericFunction) child->dispatch_table.TexGeni);
	__fillin(545, "TexGeniv", (SPUGenericFunction) child->dispatch_table.TexGeniv);
	__fillin(546, "TexImage1D", (SPUGenericFunction) child->dispatch_table.TexImage1D);
	__fillin(547, "TexImage2D", (SPUGenericFunction) child->dispatch_table.TexImage2D);
	__fillin(548, "TexImage3D", (SPUGenericFunction) child->dispatch_table.TexImage3D);
	__fillin(549, "TexImage3DEXT", (SPUGenericFunction) child->dispatch_table.TexImage3DEXT);
	__fillin(550, "TexParameterf", (SPUGenericFunction) child->dispatch_table.TexParameterf);
	__fillin(551, "TexParameterfv", (SPUGenericFunction) child->dispatch_table.TexParameterfv);
	__fillin(552, "TexParameteri", (SPUGenericFunction) child->dispatch_table.TexParameteri);
	__fillin(553, "TexParameteriv", (SPUGenericFunction) child->dispatch_table.TexParameteriv);
	__fillin(554, "TexSubImage1D", (SPUGenericFunction) child->dispatch_table.TexSubImage1D);
	__fillin(555, "TexSubImage2D", (SPUGenericFunction) child->dispatch_table.TexSubImage2D);
	__fillin(556, "TexSubImage3D", (SPUGenericFunction) child->dispatch_table.TexSubImage3D);
	__fillin(557, "TrackMatrixNV", (SPUGenericFunction) child->dispatch_table.TrackMatrixNV);
	__fillin(558, "Translated", (SPUGenericFunction) child->dispatch_table.Translated);
	__fillin(559, "Translatef", (SPUGenericFunction) child->dispatch_table.Translatef);
	__fillin(560, "Uniform1f", (SPUGenericFunction) child->dispatch_table.Uniform1f);
	__fillin(561, "Uniform1fv", (SPUGenericFunction) child->dispatch_table.Uniform1fv);
	__fillin(562, "Uniform1i", (SPUGenericFunction) child->dispatch_table.Uniform1i);
	__fillin(563, "Uniform1iv", (SPUGenericFunction) child->dispatch_table.Uniform1iv);
	__fillin(564, "Uniform2f", (SPUGenericFunction) child->dispatch_table.Uniform2f);
	__fillin(565, "Uniform2fv", (SPUGenericFunction) child->dispatch_table.Uniform2fv);
	__fillin(566, "Uniform2i", (SPUGenericFunction) child->dispatch_table.Uniform2i);
	__fillin(567, "Uniform2iv", (SPUGenericFunction) child->dispatch_table.Uniform2iv);
	__fillin(568, "Uniform3f", (SPUGenericFunction) child->dispatch_table.Uniform3f);
	__fillin(569, "Uniform3fv", (SPUGenericFunction) child->dispatch_table.Uniform3fv);
	__fillin(570, "Uniform3i", (SPUGenericFunction) child->dispatch_table.Uniform3i);
	__fillin(571, "Uniform3iv", (SPUGenericFunction) child->dispatch_table.Uniform3iv);
	__fillin(572, "Uniform4f", (SPUGenericFunction) child->dispatch_table.Uniform4f);
	__fillin(573, "Uniform4fv", (SPUGenericFunction) child->dispatch_table.Uniform4fv);
	__fillin(574, "Uniform4i", (SPUGenericFunction) child->dispatch_table.Uniform4i);
	__fillin(575, "Uniform4iv", (SPUGenericFunction) child->dispatch_table.Uniform4iv);
	__fillin(576, "UniformMatrix2fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix2fv);
	__fillin(577, "UniformMatrix2x3fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix2x3fv);
	__fillin(578, "UniformMatrix2x4fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix2x4fv);
	__fillin(579, "UniformMatrix3fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix3fv);
	__fillin(580, "UniformMatrix3x2fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix3x2fv);
	__fillin(581, "UniformMatrix3x4fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix3x4fv);
	__fillin(582, "UniformMatrix4fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix4fv);
	__fillin(583, "UniformMatrix4x2fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix4x2fv);
	__fillin(584, "UniformMatrix4x3fv", (SPUGenericFunction) child->dispatch_table.UniformMatrix4x3fv);
	__fillin(585, "UnlockArraysEXT", (SPUGenericFunction) child->dispatch_table.UnlockArraysEXT);
	__fillin(586, "UnmapBufferARB", (SPUGenericFunction) child->dispatch_table.UnmapBufferARB);
	__fillin(587, "UseProgram", (SPUGenericFunction) child->dispatch_table.UseProgram);
	__fillin(588, "VBoxAttachThread", (SPUGenericFunction) child->dispatch_table.VBoxAttachThread);
	__fillin(589, "VBoxConChromiumParameteriCR", (SPUGenericFunction) child->dispatch_table.VBoxConChromiumParameteriCR);
	__fillin(590, "VBoxConChromiumParametervCR", (SPUGenericFunction) child->dispatch_table.VBoxConChromiumParametervCR);
	__fillin(591, "VBoxConCreate", (SPUGenericFunction) child->dispatch_table.VBoxConCreate);
	__fillin(592, "VBoxConDestroy", (SPUGenericFunction) child->dispatch_table.VBoxConDestroy);
	__fillin(593, "VBoxConFlush", (SPUGenericFunction) child->dispatch_table.VBoxConFlush);
	__fillin(594, "VBoxCreateContext", (SPUGenericFunction) child->dispatch_table.VBoxCreateContext);
	__fillin(595, "VBoxDetachThread", (SPUGenericFunction) child->dispatch_table.VBoxDetachThread);
	__fillin(596, "VBoxPackGetInjectID", (SPUGenericFunction) child->dispatch_table.VBoxPackGetInjectID);
	__fillin(597, "VBoxPackSetInjectID", (SPUGenericFunction) child->dispatch_table.VBoxPackSetInjectID);
	__fillin(598, "VBoxPackSetInjectThread", (SPUGenericFunction) child->dispatch_table.VBoxPackSetInjectThread);
	__fillin(599, "VBoxPresentComposition", (SPUGenericFunction) child->dispatch_table.VBoxPresentComposition);
	__fillin(600, "VBoxTexPresent", (SPUGenericFunction) child->dispatch_table.VBoxTexPresent);
	__fillin(601, "VBoxWindowCreate", (SPUGenericFunction) child->dispatch_table.VBoxWindowCreate);
	__fillin(602, "VBoxWindowDestroy", (SPUGenericFunction) child->dispatch_table.VBoxWindowDestroy);
	__fillin(603, "ValidateProgram", (SPUGenericFunction) child->dispatch_table.ValidateProgram);
	__fillin(604, "Vertex2d", (SPUGenericFunction) child->dispatch_table.Vertex2d);
	__fillin(605, "Vertex2dv", (SPUGenericFunction) child->dispatch_table.Vertex2dv);
	__fillin(606, "Vertex2f", (SPUGenericFunction) child->dispatch_table.Vertex2f);
	__fillin(607, "Vertex2fv", (SPUGenericFunction) child->dispatch_table.Vertex2fv);
	__fillin(608, "Vertex2i", (SPUGenericFunction) child->dispatch_table.Vertex2i);
	__fillin(609, "Vertex2iv", (SPUGenericFunction) child->dispatch_table.Vertex2iv);
	__fillin(610, "Vertex2s", (SPUGenericFunction) child->dispatch_table.Vertex2s);
	__fillin(611, "Vertex2sv", (SPUGenericFunction) child->dispatch_table.Vertex2sv);
	__fillin(612, "Vertex3d", (SPUGenericFunction) child->dispatch_table.Vertex3d);
	__fillin(613, "Vertex3dv", (SPUGenericFunction) child->dispatch_table.Vertex3dv);
	__fillin(614, "Vertex3f", (SPUGenericFunction) child->dispatch_table.Vertex3f);
	__fillin(615, "Vertex3fv", (SPUGenericFunction) child->dispatch_table.Vertex3fv);
	__fillin(616, "Vertex3i", (SPUGenericFunction) child->dispatch_table.Vertex3i);
	__fillin(617, "Vertex3iv", (SPUGenericFunction) child->dispatch_table.Vertex3iv);
	__fillin(618, "Vertex3s", (SPUGenericFunction) child->dispatch_table.Vertex3s);
	__fillin(619, "Vertex3sv", (SPUGenericFunction) child->dispatch_table.Vertex3sv);
	__fillin(620, "Vertex4d", (SPUGenericFunction) child->dispatch_table.Vertex4d);
	__fillin(621, "Vertex4dv", (SPUGenericFunction) child->dispatch_table.Vertex4dv);
	__fillin(622, "Vertex4f", (SPUGenericFunction) child->dispatch_table.Vertex4f);
	__fillin(623, "Vertex4fv", (SPUGenericFunction) child->dispatch_table.Vertex4fv);
	__fillin(624, "Vertex4i", (SPUGenericFunction) child->dispatch_table.Vertex4i);
	__fillin(625, "Vertex4iv", (SPUGenericFunction) child->dispatch_table.Vertex4iv);
	__fillin(626, "Vertex4s", (SPUGenericFunction) child->dispatch_table.Vertex4s);
	__fillin(627, "Vertex4sv", (SPUGenericFunction) child->dispatch_table.Vertex4sv);
	__fillin(628, "VertexArrayRangeNV", (SPUGenericFunction) child->dispatch_table.VertexArrayRangeNV);
	__fillin(629, "VertexAttrib1dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1dARB);
	__fillin(630, "VertexAttrib1dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1dvARB);
	__fillin(631, "VertexAttrib1fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1fARB);
	__fillin(632, "VertexAttrib1fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1fvARB);
	__fillin(633, "VertexAttrib1sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1sARB);
	__fillin(634, "VertexAttrib1svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib1svARB);
	__fillin(635, "VertexAttrib2dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2dARB);
	__fillin(636, "VertexAttrib2dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2dvARB);
	__fillin(637, "VertexAttrib2fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2fARB);
	__fillin(638, "VertexAttrib2fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2fvARB);
	__fillin(639, "VertexAttrib2sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2sARB);
	__fillin(640, "VertexAttrib2svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib2svARB);
	__fillin(641, "VertexAttrib3dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3dARB);
	__fillin(642, "VertexAttrib3dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3dvARB);
	__fillin(643, "VertexAttrib3fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3fARB);
	__fillin(644, "VertexAttrib3fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3fvARB);
	__fillin(645, "VertexAttrib3sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3sARB);
	__fillin(646, "VertexAttrib3svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib3svARB);
	__fillin(647, "VertexAttrib4NbvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NbvARB);
	__fillin(648, "VertexAttrib4NivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NivARB);
	__fillin(649, "VertexAttrib4NsvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NsvARB);
	__fillin(650, "VertexAttrib4NubARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NubARB);
	__fillin(651, "VertexAttrib4NubvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NubvARB);
	__fillin(652, "VertexAttrib4NuivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NuivARB);
	__fillin(653, "VertexAttrib4NusvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4NusvARB);
	__fillin(654, "VertexAttrib4bvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4bvARB);
	__fillin(655, "VertexAttrib4dARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4dARB);
	__fillin(656, "VertexAttrib4dvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4dvARB);
	__fillin(657, "VertexAttrib4fARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4fARB);
	__fillin(658, "VertexAttrib4fvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4fvARB);
	__fillin(659, "VertexAttrib4ivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4ivARB);
	__fillin(660, "VertexAttrib4sARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4sARB);
	__fillin(661, "VertexAttrib4svARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4svARB);
	__fillin(662, "VertexAttrib4ubvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4ubvARB);
	__fillin(663, "VertexAttrib4uivARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4uivARB);
	__fillin(664, "VertexAttrib4usvARB", (SPUGenericFunction) child->dispatch_table.VertexAttrib4usvARB);
	__fillin(665, "VertexAttribPointerARB", (SPUGenericFunction) child->dispatch_table.VertexAttribPointerARB);
	__fillin(666, "VertexAttribPointerNV", (SPUGenericFunction) child->dispatch_table.VertexAttribPointerNV);
	__fillin(667, "VertexAttribs1dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1dvNV);
	__fillin(668, "VertexAttribs1fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1fvNV);
	__fillin(669, "VertexAttribs1svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs1svNV);
	__fillin(670, "VertexAttribs2dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2dvNV);
	__fillin(671, "VertexAttribs2fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2fvNV);
	__fillin(672, "VertexAttribs2svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs2svNV);
	__fillin(673, "VertexAttribs3dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3dvNV);
	__fillin(674, "VertexAttribs3fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3fvNV);
	__fillin(675, "VertexAttribs3svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs3svNV);
	__fillin(676, "VertexAttribs4dvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4dvNV);
	__fillin(677, "VertexAttribs4fvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4fvNV);
	__fillin(678, "VertexAttribs4svNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4svNV);
	__fillin(679, "VertexAttribs4ubvNV", (SPUGenericFunction) child->dispatch_table.VertexAttribs4ubvNV);
	__fillin(680, "VertexPointer", (SPUGenericFunction) child->dispatch_table.VertexPointer);
	__fillin(681, "Viewport", (SPUGenericFunction) child->dispatch_table.Viewport);
	__fillin(682, "WindowCreate", (SPUGenericFunction) child->dispatch_table.WindowCreate);
	__fillin(683, "WindowDestroy", (SPUGenericFunction) child->dispatch_table.WindowDestroy);
	__fillin(684, "WindowPos2dARB", (SPUGenericFunction) child->dispatch_table.WindowPos2dARB);
	__fillin(685, "WindowPos2dvARB", (SPUGenericFunction) child->dispatch_table.WindowPos2dvARB);
	__fillin(686, "WindowPos2fARB", (SPUGenericFunction) child->dispatch_table.WindowPos2fARB);
	__fillin(687, "WindowPos2fvARB", (SPUGenericFunction) child->dispatch_table.WindowPos2fvARB);
	__fillin(688, "WindowPos2iARB", (SPUGenericFunction) child->dispatch_table.WindowPos2iARB);
	__fillin(689, "WindowPos2ivARB", (SPUGenericFunction) child->dispatch_table.WindowPos2ivARB);
	__fillin(690, "WindowPos2sARB", (SPUGenericFunction) child->dispatch_table.WindowPos2sARB);
	__fillin(691, "WindowPos2svARB", (SPUGenericFunction) child->dispatch_table.WindowPos2svARB);
	__fillin(692, "WindowPos3dARB", (SPUGenericFunction) child->dispatch_table.WindowPos3dARB);
	__fillin(693, "WindowPos3dvARB", (SPUGenericFunction) child->dispatch_table.WindowPos3dvARB);
	__fillin(694, "WindowPos3fARB", (SPUGenericFunction) child->dispatch_table.WindowPos3fARB);
	__fillin(695, "WindowPos3fvARB", (SPUGenericFunction) child->dispatch_table.WindowPos3fvARB);
	__fillin(696, "WindowPos3iARB", (SPUGenericFunction) child->dispatch_table.WindowPos3iARB);
	__fillin(697, "WindowPos3ivARB", (SPUGenericFunction) child->dispatch_table.WindowPos3ivARB);
	__fillin(698, "WindowPos3sARB", (SPUGenericFunction) child->dispatch_table.WindowPos3sARB);
	__fillin(699, "WindowPos3svARB", (SPUGenericFunction) child->dispatch_table.WindowPos3svARB);
	__fillin(700, "WindowPosition", (SPUGenericFunction) child->dispatch_table.WindowPosition);
	__fillin(701, "WindowShow", (SPUGenericFunction) child->dispatch_table.WindowShow);
	__fillin(702, "WindowSize", (SPUGenericFunction) child->dispatch_table.WindowSize);
	__fillin(703, "WindowVisibleRegion", (SPUGenericFunction) child->dispatch_table.WindowVisibleRegion);
	__fillin(704, "Writeback", (SPUGenericFunction) child->dispatch_table.Writeback);
	__fillin(705, "ZPixCR", (SPUGenericFunction) child->dispatch_table.ZPixCR);
	__fillin(706, NULL, NULL);
}
