/* Copyright (c) 2001, Stanford University
	All rights reserved.

	See the file LICENSE.txt for information on redistributing this software. */
	

/* DO NOT EDIT - THIS FILE AUTOMATICALLY GENERATED BY state_funcs.py SCRIPT */
#ifndef CR_STATE_FUNCS_H
#define CR_STATE_FUNCS_H

#include "chromium.h"
#include "cr_error.h"
#include "state/cr_statetypes.h"

#include <iprt/cdefs.h>

#if defined(WINDOWS)
#define STATE_APIENTRY __stdcall
#else
#define STATE_APIENTRY
#endif

#ifdef __cplusplus
extern "C" {
#endif

#define STATE_UNUSED(x) ((void)x)
DECLEXPORT(void) STATE_APIENTRY crStateActiveStencilFaceEXT(PCRStateTracker pState, GLenum face);
DECLEXPORT(void) STATE_APIENTRY crStateActiveTextureARB(PCRStateTracker pState, GLenum texture);
DECLEXPORT(void) STATE_APIENTRY crStateAlphaFunc(PCRStateTracker pState, GLenum func, GLclampf ref);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateAreProgramsResidentNV(PCRStateTracker pState, GLsizei n, const GLuint * ids, GLboolean * residences);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateAreTexturesResident(PCRStateTracker pState, GLsizei n, const GLuint * textures, GLboolean * residences);
DECLEXPORT(void) STATE_APIENTRY crStateAttachShader(PCRStateTracker pState, GLuint program, GLuint shader);
DECLEXPORT(void) STATE_APIENTRY crStateBegin(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateBeginQueryARB(PCRStateTracker pState, GLenum target, GLuint id);
DECLEXPORT(void) STATE_APIENTRY crStateBindAttribLocation(PCRStateTracker pState, GLuint program, GLuint index, const char * name);
DECLEXPORT(void) STATE_APIENTRY crStateBindBufferARB(PCRStateTracker pState, GLenum target, GLuint buffer);
DECLEXPORT(void) STATE_APIENTRY crStateBindFramebufferEXT(PCRStateTracker pState, GLenum target, GLuint framebuffer);
DECLEXPORT(void) STATE_APIENTRY crStateBindProgramARB(PCRStateTracker pState, GLenum target, GLuint program);
DECLEXPORT(void) STATE_APIENTRY crStateBindProgramNV(PCRStateTracker pState, GLenum target, GLuint id);
DECLEXPORT(void) STATE_APIENTRY crStateBindRenderbufferEXT(PCRStateTracker pState, GLenum target, GLuint renderbuffer);
DECLEXPORT(void) STATE_APIENTRY crStateBindTexture(PCRStateTracker pState, GLenum target, GLuint texture);
DECLEXPORT(void) STATE_APIENTRY crStateBitmap(PCRStateTracker pState, GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap);
DECLEXPORT(void) STATE_APIENTRY crStateBlendColorEXT(PCRStateTracker pState, GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
DECLEXPORT(void) STATE_APIENTRY crStateBlendEquationEXT(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateBlendFunc(PCRStateTracker pState, GLenum sfactor, GLenum dfactor);
DECLEXPORT(void) STATE_APIENTRY crStateBlendFuncSeparateEXT(PCRStateTracker pState, GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorA, GLenum dfactorA);
DECLEXPORT(void) STATE_APIENTRY crStateBufferDataARB(PCRStateTracker pState, GLenum target, GLsizeiptrARB size, const GLvoid * data, GLenum usage);
DECLEXPORT(void) STATE_APIENTRY crStateBufferSubDataARB(PCRStateTracker pState, GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateClearAccum(PCRStateTracker pState, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
DECLEXPORT(void) STATE_APIENTRY crStateClearColor(PCRStateTracker pState, GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
DECLEXPORT(void) STATE_APIENTRY crStateClearDepth(PCRStateTracker pState, GLclampd depth);
DECLEXPORT(void) STATE_APIENTRY crStateClearIndex(PCRStateTracker pState, GLfloat c);
DECLEXPORT(void) STATE_APIENTRY crStateClearStencil(PCRStateTracker pState, GLint s);
DECLEXPORT(void) STATE_APIENTRY crStateClientActiveTextureARB(PCRStateTracker pState, GLenum texture);
DECLEXPORT(void) STATE_APIENTRY crStateClipPlane(PCRStateTracker pState, GLenum plane, const GLdouble * equation);
DECLEXPORT(void) STATE_APIENTRY crStateColor3f(PCRStateTracker pState, GLfloat red, GLfloat green, GLfloat blue);
DECLEXPORT(void) STATE_APIENTRY crStateColor3fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateColor4f(PCRStateTracker pState, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha);
DECLEXPORT(void) STATE_APIENTRY crStateColor4fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateColorMask(PCRStateTracker pState, GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);
DECLEXPORT(void) STATE_APIENTRY crStateColorMaterial(PCRStateTracker pState, GLenum face, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateColorPointer(PCRStateTracker pState, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateCombinerInputNV(PCRStateTracker pState, GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage);
DECLEXPORT(void) STATE_APIENTRY crStateCombinerOutputNV(PCRStateTracker pState, GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum);
DECLEXPORT(void) STATE_APIENTRY crStateCombinerParameterfNV(PCRStateTracker pState, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateCombinerParameterfvNV(PCRStateTracker pState, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateCombinerParameteriNV(PCRStateTracker pState, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateCombinerParameterivNV(PCRStateTracker pState, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateCombinerStageParameterfvNV(PCRStateTracker pState, GLenum stage, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateCompileShader(PCRStateTracker pState, GLuint shader);
DECLEXPORT(void) STATE_APIENTRY crStateCompressedTexImage1DARB(PCRStateTracker pState, GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLint border, GLsizei imagesize, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateCompressedTexImage2DARB(PCRStateTracker pState, GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLint border, GLsizei imagesize, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateCompressedTexImage3DARB(PCRStateTracker pState, GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imagesize, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateCompressedTexSubImage1DARB(PCRStateTracker pState, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imagesize, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateCompressedTexSubImage2DARB(PCRStateTracker pState, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imagesize, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateCompressedTexSubImage3DARB(PCRStateTracker pState, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imagesize, const GLvoid * data);
DECLEXPORT(void) STATE_APIENTRY crStateCopyTexImage2D(PCRStateTracker pState, GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);
DECLEXPORT(void) STATE_APIENTRY crStateCullFace(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteBuffersARB(PCRStateTracker pState, GLsizei n, const GLuint * buffer);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteFencesNV(PCRStateTracker pState, GLsizei n, const GLuint * fences);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteFramebuffersEXT(PCRStateTracker pState, GLsizei n, const GLuint * framebuffers);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteLists(PCRStateTracker pState, GLuint list, GLsizei range);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteProgram(PCRStateTracker pState, GLuint program);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteProgramsARB(PCRStateTracker pState, GLsizei n, const GLuint * programs);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteQueriesARB(PCRStateTracker pState, GLsizei n, const GLuint * ids);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteRenderbuffersEXT(PCRStateTracker pState, GLsizei n, const GLuint * renderbuffers);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteShader(PCRStateTracker pState, GLuint shader);
DECLEXPORT(void) STATE_APIENTRY crStateDeleteTextures(PCRStateTracker pState, GLsizei n, const GLuint * textures);
DECLEXPORT(void) STATE_APIENTRY crStateDepthFunc(PCRStateTracker pState, GLenum func);
DECLEXPORT(void) STATE_APIENTRY crStateDepthMask(PCRStateTracker pState, GLboolean flag);
DECLEXPORT(void) STATE_APIENTRY crStateDepthRange(PCRStateTracker pState, GLclampd zNear, GLclampd zFar);
DECLEXPORT(void) STATE_APIENTRY crStateDetachShader(PCRStateTracker pState, GLuint program, GLuint shader);
DECLEXPORT(void) STATE_APIENTRY crStateDisable(PCRStateTracker pState, GLenum cap);
DECLEXPORT(void) STATE_APIENTRY crStateDisableClientState(PCRStateTracker pState, GLenum array);
DECLEXPORT(void) STATE_APIENTRY crStateDisableVertexAttribArrayARB(PCRStateTracker pState, GLuint index);
DECLEXPORT(void) STATE_APIENTRY crStateDrawBuffer(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateEdgeFlagPointer(PCRStateTracker pState, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateEnable(PCRStateTracker pState, GLenum cap);
DECLEXPORT(void) STATE_APIENTRY crStateEnableClientState(PCRStateTracker pState, GLenum array);
DECLEXPORT(void) STATE_APIENTRY crStateEnableVertexAttribArrayARB(PCRStateTracker pState, GLuint index);
DECLEXPORT(void) STATE_APIENTRY crStateEnd(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateEndList(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateEndQueryARB(PCRStateTracker pState, GLenum target);
DECLEXPORT(void) STATE_APIENTRY crStateExecuteProgramNV(PCRStateTracker pState, GLenum target, GLuint id, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackBuffer(PCRStateTracker pState, GLsizei size, GLenum type, GLfloat * buffer);
DECLEXPORT(void) STATE_APIENTRY crStateFinalCombinerInputNV(PCRStateTracker pState, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage);
DECLEXPORT(void) STATE_APIENTRY crStateFinishFenceNV(PCRStateTracker pState, GLuint fence);
DECLEXPORT(void) STATE_APIENTRY crStateFlushVertexArrayRangeNV(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateFogCoordPointerEXT(PCRStateTracker pState, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateFogf(PCRStateTracker pState, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateFogfv(PCRStateTracker pState, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateFogi(PCRStateTracker pState, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateFogiv(PCRStateTracker pState, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateFramebufferRenderbufferEXT(PCRStateTracker pState, GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);
DECLEXPORT(void) STATE_APIENTRY crStateFramebufferTexture1DEXT(PCRStateTracker pState, GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);
DECLEXPORT(void) STATE_APIENTRY crStateFramebufferTexture2DEXT(PCRStateTracker pState, GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);
DECLEXPORT(void) STATE_APIENTRY crStateFramebufferTexture3DEXT(PCRStateTracker pState, GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset);
DECLEXPORT(void) STATE_APIENTRY crStateFrontFace(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateFrustum(PCRStateTracker pState, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
DECLEXPORT(void) STATE_APIENTRY crStateGenBuffersARB(PCRStateTracker pState, GLsizei n, GLuint * buffer);
DECLEXPORT(void) STATE_APIENTRY crStateGenFencesNV(PCRStateTracker pState, GLsizei n, GLuint * fences);
DECLEXPORT(void) STATE_APIENTRY crStateGenFramebuffersEXT(PCRStateTracker pState, GLsizei n, GLuint * framebuffers);
DECLEXPORT(GLuint) STATE_APIENTRY crStateGenLists(PCRStateTracker pState, GLsizei range);
DECLEXPORT(void) STATE_APIENTRY crStateGenProgramsARB(PCRStateTracker pState, GLsizei n, GLuint * programs);
DECLEXPORT(void) STATE_APIENTRY crStateGenProgramsNV(PCRStateTracker pState, GLsizei n, GLuint * ids);
DECLEXPORT(void) STATE_APIENTRY crStateGenQueriesARB(PCRStateTracker pState, GLsizei n, GLuint * ids);
DECLEXPORT(void) STATE_APIENTRY crStateGenRenderbuffersEXT(PCRStateTracker pState, GLsizei n, GLuint * renderbuffers);
DECLEXPORT(void) STATE_APIENTRY crStateGenTextures(PCRStateTracker pState, GLsizei n, GLuint * textures);
DECLEXPORT(void) STATE_APIENTRY crStateGenerateMipmapEXT(PCRStateTracker pState, GLenum target);
DECLEXPORT(GLint) STATE_APIENTRY crStateGetAttribLocation(PCRStateTracker pState, GLuint program, const char * name);
DECLEXPORT(void) STATE_APIENTRY crStateGetBooleanv(PCRStateTracker pState, GLenum pname, GLboolean * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetBufferParameterivARB(PCRStateTracker pState, GLenum target, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetBufferPointervARB(PCRStateTracker pState, GLenum target, GLenum pname, GLvoid ** params);
DECLEXPORT(void) STATE_APIENTRY crStateGetBufferSubDataARB(PCRStateTracker pState, GLenum target, GLintptrARB offset, GLsizeiptrARB size, void * data);
DECLEXPORT(void) STATE_APIENTRY crStateGetClipPlane(PCRStateTracker pState, GLenum plane, GLdouble * equation);
DECLEXPORT(void) STATE_APIENTRY crStateGetCombinerInputParameterfvNV(PCRStateTracker pState, GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetCombinerInputParameterivNV(PCRStateTracker pState, GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetCombinerOutputParameterfvNV(PCRStateTracker pState, GLenum stage, GLenum portion, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetCombinerOutputParameterivNV(PCRStateTracker pState, GLenum stage, GLenum portion, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetCombinerStageParameterfvNV(PCRStateTracker pState, GLenum stage, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetCompressedTexImageARB(PCRStateTracker pState, GLenum target, GLint level, GLvoid * img);
DECLEXPORT(void) STATE_APIENTRY crStateGetDoublev(PCRStateTracker pState, GLenum pname, GLdouble * params);
DECLEXPORT(GLenum) STATE_APIENTRY crStateGetError(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateGetFenceivNV(PCRStateTracker pState, GLuint fence, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetFinalCombinerInputParameterfvNV(PCRStateTracker pState, GLenum variable, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetFinalCombinerInputParameterivNV(PCRStateTracker pState, GLenum variable, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetFloatv(PCRStateTracker pState, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetFramebufferAttachmentParameterivEXT(PCRStateTracker pState, GLenum target, GLenum attachment, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetIntegerv(PCRStateTracker pState, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetLightfv(PCRStateTracker pState, GLenum light, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetLightiv(PCRStateTracker pState, GLenum light, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetMapdv(PCRStateTracker pState, GLenum target, GLenum query, GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateGetMapfv(PCRStateTracker pState, GLenum target, GLenum query, GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateGetMapiv(PCRStateTracker pState, GLenum target, GLenum query, GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateGetMaterialfv(PCRStateTracker pState, GLenum face, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetMaterialiv(PCRStateTracker pState, GLenum face, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetPixelMapfv(PCRStateTracker pState, GLenum map, GLfloat * values);
DECLEXPORT(void) STATE_APIENTRY crStateGetPixelMapuiv(PCRStateTracker pState, GLenum map, GLuint * values);
DECLEXPORT(void) STATE_APIENTRY crStateGetPixelMapusv(PCRStateTracker pState, GLenum map, GLushort * values);
DECLEXPORT(void) STATE_APIENTRY crStateGetPointerv(PCRStateTracker pState, GLenum pname, GLvoid ** params);
DECLEXPORT(void) STATE_APIENTRY crStateGetPolygonStipple(PCRStateTracker pState, GLubyte * mask);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramEnvParameterdvARB(PCRStateTracker pState, GLenum target, GLuint index, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramEnvParameterfvARB(PCRStateTracker pState, GLenum target, GLuint index, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramLocalParameterdvARB(PCRStateTracker pState, GLenum target, GLuint index, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramLocalParameterfvARB(PCRStateTracker pState, GLenum target, GLuint index, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramNamedParameterdvNV(PCRStateTracker pState, GLuint id, GLsizei len, const GLubyte * name, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramNamedParameterfvNV(PCRStateTracker pState, GLuint id, GLsizei len, const GLubyte * name, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramParameterdvNV(PCRStateTracker pState, GLenum target, GLuint index, GLenum pname, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramParameterfvNV(PCRStateTracker pState, GLenum target, GLuint index, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramStringARB(PCRStateTracker pState, GLenum target, GLenum pname, GLvoid * string);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramStringNV(PCRStateTracker pState, GLuint id, GLenum pname, GLubyte * program);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramivARB(PCRStateTracker pState, GLenum target, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetProgramivNV(PCRStateTracker pState, GLuint id, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetQueryObjectivARB(PCRStateTracker pState, GLuint id, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetQueryObjectuivARB(PCRStateTracker pState, GLuint id, GLenum pname, GLuint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetQueryivARB(PCRStateTracker pState, GLenum target, GLenum pname, GLint * params);
DECLEXPORT(const GLubyte *) STATE_APIENTRY crStateGetString(PCRStateTracker pState, GLenum name);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexEnvfv(PCRStateTracker pState, GLenum target, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexEnviv(PCRStateTracker pState, GLenum target, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexGendv(PCRStateTracker pState, GLenum coord, GLenum pname, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexGenfv(PCRStateTracker pState, GLenum coord, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexGeniv(PCRStateTracker pState, GLenum coord, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexImage(PCRStateTracker pState, GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexLevelParameterfv(PCRStateTracker pState, GLenum target, GLint level, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexLevelParameteriv(PCRStateTracker pState, GLenum target, GLint level, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexParameterfv(PCRStateTracker pState, GLenum target, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTexParameteriv(PCRStateTracker pState, GLenum target, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetTrackMatrixivNV(PCRStateTracker pState, GLenum target, GLuint address, GLenum pname, GLint * params);
DECLEXPORT(GLint) STATE_APIENTRY crStateGetUniformLocation(PCRStateTracker pState, GLuint program, const char * name);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribPointervARB(PCRStateTracker pState, GLuint index, GLenum pname, GLvoid ** pointer);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribPointervNV(PCRStateTracker pState, GLuint index, GLenum pname, GLvoid ** pointer);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribdvARB(PCRStateTracker pState, GLuint index, GLenum pname, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribdvNV(PCRStateTracker pState, GLuint index, GLenum pname, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribfvARB(PCRStateTracker pState, GLuint index, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribfvNV(PCRStateTracker pState, GLuint index, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribivARB(PCRStateTracker pState, GLuint index, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateGetVertexAttribivNV(PCRStateTracker pState, GLuint index, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateHint(PCRStateTracker pState, GLenum target, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateIndexMask(PCRStateTracker pState, GLuint mask);
DECLEXPORT(void) STATE_APIENTRY crStateIndexPointer(PCRStateTracker pState, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateInitNames(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateInterleavedArrays(PCRStateTracker pState, GLenum format, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsBufferARB(PCRStateTracker pState, GLuint buffer);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsEnabled(PCRStateTracker pState, GLenum cap);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsFenceNV(PCRStateTracker pState, GLuint fence);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsFramebufferEXT(PCRStateTracker pState, GLuint framebuffer);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsList(PCRStateTracker pState, GLuint list);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsProgramARB(PCRStateTracker pState, GLuint program);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsQueryARB(PCRStateTracker pState, GLuint id);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsRenderbufferEXT(PCRStateTracker pState, GLuint renderbuffer);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateIsTexture(PCRStateTracker pState, GLuint texture);
DECLEXPORT(void) STATE_APIENTRY crStateLightModelf(PCRStateTracker pState, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateLightModelfv(PCRStateTracker pState, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateLightModeli(PCRStateTracker pState, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateLightModeliv(PCRStateTracker pState, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateLightf(PCRStateTracker pState, GLenum light, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateLightfv(PCRStateTracker pState, GLenum light, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateLighti(PCRStateTracker pState, GLenum light, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateLightiv(PCRStateTracker pState, GLenum light, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateLineStipple(PCRStateTracker pState, GLint factor, GLushort pattern);
DECLEXPORT(void) STATE_APIENTRY crStateLineWidth(PCRStateTracker pState, GLfloat width);
DECLEXPORT(void) STATE_APIENTRY crStateLinkProgram(PCRStateTracker pState, GLuint program);
DECLEXPORT(void) STATE_APIENTRY crStateListBase(PCRStateTracker pState, GLuint base);
DECLEXPORT(void) STATE_APIENTRY crStateLoadIdentity(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateLoadMatrixd(PCRStateTracker pState, const GLdouble * m);
DECLEXPORT(void) STATE_APIENTRY crStateLoadMatrixf(PCRStateTracker pState, const GLfloat * m);
DECLEXPORT(void) STATE_APIENTRY crStateLoadName(PCRStateTracker pState, GLuint name);
DECLEXPORT(void) STATE_APIENTRY crStateLoadProgramNV(PCRStateTracker pState, GLenum target, GLuint id, GLsizei len, const GLubyte * program);
DECLEXPORT(void) STATE_APIENTRY crStateLoadTransposeMatrixdARB(PCRStateTracker pState, const GLdouble * m);
DECLEXPORT(void) STATE_APIENTRY crStateLoadTransposeMatrixfARB(PCRStateTracker pState, const GLfloat * m);
DECLEXPORT(void) STATE_APIENTRY crStateLockArraysEXT(PCRStateTracker pState, GLint first, GLint count);
DECLEXPORT(void) STATE_APIENTRY crStateLogicOp(PCRStateTracker pState, GLenum opcode);
DECLEXPORT(void) STATE_APIENTRY crStateMap1d(PCRStateTracker pState, GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points);
DECLEXPORT(void) STATE_APIENTRY crStateMap1f(PCRStateTracker pState, GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points);
DECLEXPORT(void) STATE_APIENTRY crStateMap2d(PCRStateTracker pState, GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points);
DECLEXPORT(void) STATE_APIENTRY crStateMap2f(PCRStateTracker pState, GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points);
DECLEXPORT(void *) STATE_APIENTRY crStateMapBufferARB(PCRStateTracker pState, GLenum target, GLenum access);
DECLEXPORT(void) STATE_APIENTRY crStateMapGrid1d(PCRStateTracker pState, GLint un, GLdouble u1, GLdouble u2);
DECLEXPORT(void) STATE_APIENTRY crStateMapGrid1f(PCRStateTracker pState, GLint un, GLfloat u1, GLfloat u2);
DECLEXPORT(void) STATE_APIENTRY crStateMapGrid2d(PCRStateTracker pState, GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2);
DECLEXPORT(void) STATE_APIENTRY crStateMapGrid2f(PCRStateTracker pState, GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2);
DECLEXPORT(void) STATE_APIENTRY crStateMaterialf(PCRStateTracker pState, GLenum face, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateMaterialfv(PCRStateTracker pState, GLenum face, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateMateriali(PCRStateTracker pState, GLenum face, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateMaterialiv(PCRStateTracker pState, GLenum face, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateMatrixMode(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateMultMatrixd(PCRStateTracker pState, const GLdouble * m);
DECLEXPORT(void) STATE_APIENTRY crStateMultMatrixf(PCRStateTracker pState, const GLfloat * m);
DECLEXPORT(void) STATE_APIENTRY crStateMultTransposeMatrixdARB(PCRStateTracker pState, const GLdouble * m);
DECLEXPORT(void) STATE_APIENTRY crStateMultTransposeMatrixfARB(PCRStateTracker pState, const GLfloat * m);
DECLEXPORT(void) STATE_APIENTRY crStateNewList(PCRStateTracker pState, GLuint list, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateNormalPointer(PCRStateTracker pState, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateOrtho(PCRStateTracker pState, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar);
DECLEXPORT(void) STATE_APIENTRY crStatePassThrough(PCRStateTracker pState, GLfloat token);
DECLEXPORT(void) STATE_APIENTRY crStatePixelMapfv(PCRStateTracker pState, GLenum map, GLsizei mapsize, const GLfloat * values);
DECLEXPORT(void) STATE_APIENTRY crStatePixelMapuiv(PCRStateTracker pState, GLenum map, GLsizei mapsize, const GLuint * values);
DECLEXPORT(void) STATE_APIENTRY crStatePixelMapusv(PCRStateTracker pState, GLenum map, GLsizei mapsize, const GLushort * values);
DECLEXPORT(void) STATE_APIENTRY crStatePixelStoref(PCRStateTracker pState, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStatePixelStorei(PCRStateTracker pState, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStatePixelTransferf(PCRStateTracker pState, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStatePixelTransferi(PCRStateTracker pState, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStatePixelZoom(PCRStateTracker pState, GLfloat xfactor, GLfloat yfactor);
DECLEXPORT(void) STATE_APIENTRY crStatePointParameterfARB(PCRStateTracker pState, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStatePointParameterfvARB(PCRStateTracker pState, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStatePointParameteri(PCRStateTracker pState, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStatePointParameteriv(PCRStateTracker pState, GLenum pname, const GLint * param);
DECLEXPORT(void) STATE_APIENTRY crStatePointSize(PCRStateTracker pState, GLfloat size);
DECLEXPORT(void) STATE_APIENTRY crStatePolygonMode(PCRStateTracker pState, GLenum face, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStatePolygonOffset(PCRStateTracker pState, GLfloat factor, GLfloat units);
DECLEXPORT(void) STATE_APIENTRY crStatePolygonStipple(PCRStateTracker pState, const GLubyte * mask);
DECLEXPORT(void) STATE_APIENTRY crStatePopAttrib(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStatePopClientAttrib(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStatePopMatrix(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStatePopName(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStatePrioritizeTextures(PCRStateTracker pState, GLsizei n, const GLuint * textures, const GLclampf * priorities);
DECLEXPORT(void) STATE_APIENTRY crStateProgramEnvParameter4dARB(PCRStateTracker pState, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramEnvParameter4dvARB(PCRStateTracker pState, GLenum target, GLuint index, const GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramEnvParameter4fARB(PCRStateTracker pState, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramEnvParameter4fvARB(PCRStateTracker pState, GLenum target, GLuint index, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramLocalParameter4dARB(PCRStateTracker pState, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramLocalParameter4dvARB(PCRStateTracker pState, GLenum target, GLuint index, const GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramLocalParameter4fARB(PCRStateTracker pState, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramLocalParameter4fvARB(PCRStateTracker pState, GLenum target, GLuint index, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramNamedParameter4dNV(PCRStateTracker pState, GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramNamedParameter4dvNV(PCRStateTracker pState, GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateProgramNamedParameter4fNV(PCRStateTracker pState, GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramNamedParameter4fvNV(PCRStateTracker pState, GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateProgramParameter4dNV(PCRStateTracker pState, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramParameter4dvNV(PCRStateTracker pState, GLenum target, GLuint index, const GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramParameter4fNV(PCRStateTracker pState, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateProgramParameter4fvNV(PCRStateTracker pState, GLenum target, GLuint index, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramParameters4dvNV(PCRStateTracker pState, GLenum target, GLuint index, GLuint num, const GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramParameters4fvNV(PCRStateTracker pState, GLenum target, GLuint index, GLuint num, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateProgramStringARB(PCRStateTracker pState, GLenum target, GLenum format, GLsizei len, const GLvoid * string);
DECLEXPORT(void) STATE_APIENTRY crStatePushAttrib(PCRStateTracker pState, GLbitfield mask);
DECLEXPORT(void) STATE_APIENTRY crStatePushClientAttrib(PCRStateTracker pState, GLbitfield mask);
DECLEXPORT(void) STATE_APIENTRY crStatePushMatrix(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStatePushName(PCRStateTracker pState, GLuint name);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2d(PCRStateTracker pState, GLdouble x, GLdouble y);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2f(PCRStateTracker pState, GLfloat x, GLfloat y);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2i(PCRStateTracker pState, GLint x, GLint y);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2s(PCRStateTracker pState, GLshort x, GLshort y);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos2sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3i(PCRStateTracker pState, GLint x, GLint y, GLint z);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos3sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4i(PCRStateTracker pState, GLint x, GLint y, GLint z, GLint w);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z, GLshort w);
DECLEXPORT(void) STATE_APIENTRY crStateRasterPos4sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateReadBuffer(PCRStateTracker pState, GLenum mode);
DECLEXPORT(GLint) STATE_APIENTRY crStateRenderMode(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateRenderbufferStorageEXT(PCRStateTracker pState, GLenum target, GLenum internalformat, GLsizei width, GLsizei height);
DECLEXPORT(void) STATE_APIENTRY crStateRequestResidentProgramsNV(PCRStateTracker pState, GLsizei n, const GLuint * ids);
DECLEXPORT(void) STATE_APIENTRY crStateRotated(PCRStateTracker pState, GLdouble angle, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateRotatef(PCRStateTracker pState, GLfloat angle, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateSampleCoverageARB(PCRStateTracker pState, GLclampf value, GLboolean invert);
DECLEXPORT(void) STATE_APIENTRY crStateScaled(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateScalef(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateScissor(PCRStateTracker pState, GLint x, GLint y, GLsizei width, GLsizei height);
DECLEXPORT(void) STATE_APIENTRY crStateSecondaryColorPointerEXT(PCRStateTracker pState, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateSelectBuffer(PCRStateTracker pState, GLsizei size, GLuint * buffer);
DECLEXPORT(void) STATE_APIENTRY crStateSetFenceNV(PCRStateTracker pState, GLuint fence, GLenum condition);
DECLEXPORT(void) STATE_APIENTRY crStateShadeModel(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateStencilFunc(PCRStateTracker pState, GLenum func, GLint ref, GLuint mask);
DECLEXPORT(void) STATE_APIENTRY crStateStencilFuncSeparate(PCRStateTracker pState, GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask);
DECLEXPORT(void) STATE_APIENTRY crStateStencilMask(PCRStateTracker pState, GLuint mask);
DECLEXPORT(void) STATE_APIENTRY crStateStencilOp(PCRStateTracker pState, GLenum fail, GLenum zfail, GLenum zpass);
DECLEXPORT(void) STATE_APIENTRY crStateStencilOpSeparate(PCRStateTracker pState, GLenum face, GLenum fail, GLenum zfail, GLenum zpass);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateTestFenceNV(PCRStateTracker pState, GLuint fence);
DECLEXPORT(void) STATE_APIENTRY crStateTexCoordPointer(PCRStateTracker pState, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateTexEnvf(PCRStateTracker pState, GLenum target, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateTexEnvfv(PCRStateTracker pState, GLenum target, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexEnvi(PCRStateTracker pState, GLenum target, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateTexEnviv(PCRStateTracker pState, GLenum target, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexGend(PCRStateTracker pState, GLenum coord, GLenum pname, GLdouble param);
DECLEXPORT(void) STATE_APIENTRY crStateTexGendv(PCRStateTracker pState, GLenum coord, GLenum pname, const GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexGenf(PCRStateTracker pState, GLenum coord, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateTexGenfv(PCRStateTracker pState, GLenum coord, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexGeni(PCRStateTracker pState, GLenum coord, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateTexGeniv(PCRStateTracker pState, GLenum coord, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexImage1D(PCRStateTracker pState, GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTexImage2D(PCRStateTracker pState, GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTexImage3D(PCRStateTracker pState, GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTexImage3DEXT(PCRStateTracker pState, GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTexParameterf(PCRStateTracker pState, GLenum target, GLenum pname, GLfloat param);
DECLEXPORT(void) STATE_APIENTRY crStateTexParameterfv(PCRStateTracker pState, GLenum target, GLenum pname, const GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexParameteri(PCRStateTracker pState, GLenum target, GLenum pname, GLint param);
DECLEXPORT(void) STATE_APIENTRY crStateTexParameteriv(PCRStateTracker pState, GLenum target, GLenum pname, const GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateTexSubImage1D(PCRStateTracker pState, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTexSubImage2D(PCRStateTracker pState, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTexSubImage3D(PCRStateTracker pState, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateTrackMatrixNV(PCRStateTracker pState, GLenum target, GLuint address, GLenum matrix, GLenum transform);
DECLEXPORT(void) STATE_APIENTRY crStateTranslated(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateTranslatef(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateUnlockArraysEXT(PCRStateTracker pState);
DECLEXPORT(GLboolean) STATE_APIENTRY crStateUnmapBufferARB(PCRStateTracker pState, GLenum target);
DECLEXPORT(void) STATE_APIENTRY crStateUseProgram(PCRStateTracker pState, GLuint program);
DECLEXPORT(void) STATE_APIENTRY crStateValidateProgram(PCRStateTracker pState, GLuint program);
DECLEXPORT(void) STATE_APIENTRY crStateVertexArrayRangeNV(PCRStateTracker pState, GLsizei length, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateVertexAttribPointerARB(PCRStateTracker pState, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateVertexAttribPointerNV(PCRStateTracker pState, GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateVertexPointer(PCRStateTracker pState, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer CRVBOX_HOST_ONLY_PARAM(int fRealPtr));
DECLEXPORT(void) STATE_APIENTRY crStateViewport(PCRStateTracker pState, GLint x, GLint y, GLsizei width, GLsizei height);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2dARB(PCRStateTracker pState, GLdouble x, GLdouble y);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2dvARB(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2fARB(PCRStateTracker pState, GLfloat x, GLfloat y);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2fvARB(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2iARB(PCRStateTracker pState, GLint x, GLint y);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2ivARB(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2sARB(PCRStateTracker pState, GLshort x, GLshort y);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos2svARB(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3dARB(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3dvARB(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3fARB(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3fvARB(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3iARB(PCRStateTracker pState, GLint x, GLint y, GLint z);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3ivARB(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3sARB(PCRStateTracker pState, GLshort x, GLshort y, GLshort z);
DECLEXPORT(void) STATE_APIENTRY crStateWindowPos3svARB(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackBegin(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackBitmap(PCRStateTracker pState, GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackCopyPixels(PCRStateTracker pState, GLint x, GLint y, GLsizei width, GLsizei height, GLenum type);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackDrawPixels(PCRStateTracker pState, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackEnd(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackGetBooleanv(PCRStateTracker pState, GLenum pname, GLboolean * params);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackGetDoublev(PCRStateTracker pState, GLenum pname, GLdouble * params);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackGetFloatv(PCRStateTracker pState, GLenum pname, GLfloat * params);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackGetIntegerv(PCRStateTracker pState, GLenum pname, GLint * params);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRectd(PCRStateTracker pState, GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRectdv(PCRStateTracker pState, const GLdouble * v1, const GLdouble * v2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRectf(PCRStateTracker pState, GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRectfv(PCRStateTracker pState, const GLfloat * v1, const GLfloat * v2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRecti(PCRStateTracker pState, GLint x1, GLint y1, GLint x2, GLint y2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRectiv(PCRStateTracker pState, const GLint * v1, const GLint * v2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRects(PCRStateTracker pState, GLshort x1, GLshort y1, GLshort x2, GLshort y2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackRectsv(PCRStateTracker pState, const GLshort * v1, const GLshort * v2);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1d(PCRStateTracker pState, GLdouble s);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1f(PCRStateTracker pState, GLfloat s);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1i(PCRStateTracker pState, GLint s);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1s(PCRStateTracker pState, GLshort s);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord1sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2d(PCRStateTracker pState, GLdouble s, GLdouble t);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2f(PCRStateTracker pState, GLfloat s, GLfloat t);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2i(PCRStateTracker pState, GLint s, GLint t);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2s(PCRStateTracker pState, GLshort s, GLshort t);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord2sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3d(PCRStateTracker pState, GLdouble s, GLdouble t, GLdouble r);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3f(PCRStateTracker pState, GLfloat s, GLfloat t, GLfloat r);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3i(PCRStateTracker pState, GLint s, GLint t, GLint r);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3s(PCRStateTracker pState, GLshort s, GLshort t, GLshort r);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord3sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4d(PCRStateTracker pState, GLdouble s, GLdouble t, GLdouble r, GLdouble q);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4f(PCRStateTracker pState, GLfloat s, GLfloat t, GLfloat r, GLfloat q);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4i(PCRStateTracker pState, GLint s, GLint t, GLint r, GLint q);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4s(PCRStateTracker pState, GLshort s, GLshort t, GLshort r, GLshort q);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackTexCoord4sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2d(PCRStateTracker pState, GLdouble x, GLdouble y);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2f(PCRStateTracker pState, GLfloat x, GLfloat y);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2i(PCRStateTracker pState, GLint x, GLint y);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2s(PCRStateTracker pState, GLshort x, GLshort y);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex2sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3i(PCRStateTracker pState, GLint x, GLint y, GLint z);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex3sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4i(PCRStateTracker pState, GLint x, GLint y, GLint z, GLint w);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z, GLshort w);
DECLEXPORT(void) STATE_APIENTRY crStateFeedbackVertex4sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectBegin(PCRStateTracker pState, GLenum mode);
DECLEXPORT(void) STATE_APIENTRY crStateSelectBitmap(PCRStateTracker pState, GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap);
DECLEXPORT(void) STATE_APIENTRY crStateSelectCopyPixels(PCRStateTracker pState, GLint x, GLint y, GLsizei width, GLsizei height, GLenum type);
DECLEXPORT(void) STATE_APIENTRY crStateSelectDrawPixels(PCRStateTracker pState, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels);
DECLEXPORT(void) STATE_APIENTRY crStateSelectEnd(PCRStateTracker pState);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2d(PCRStateTracker pState, GLdouble x, GLdouble y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2f(PCRStateTracker pState, GLfloat x, GLfloat y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2i(PCRStateTracker pState, GLint x, GLint y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2s(PCRStateTracker pState, GLshort x, GLshort y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos2sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3i(PCRStateTracker pState, GLint x, GLint y, GLint z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos3sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4i(PCRStateTracker pState, GLint x, GLint y, GLint z, GLint w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z, GLshort w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRasterPos4sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRectd(PCRStateTracker pState, GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRectdv(PCRStateTracker pState, const GLdouble * v1, const GLdouble * v2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRectf(PCRStateTracker pState, GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRectfv(PCRStateTracker pState, const GLfloat * v1, const GLfloat * v2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRecti(PCRStateTracker pState, GLint x1, GLint y1, GLint x2, GLint y2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRectiv(PCRStateTracker pState, const GLint * v1, const GLint * v2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRects(PCRStateTracker pState, GLshort x1, GLshort y1, GLshort x2, GLshort y2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectRectsv(PCRStateTracker pState, const GLshort * v1, const GLshort * v2);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2d(PCRStateTracker pState, GLdouble x, GLdouble y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2f(PCRStateTracker pState, GLfloat x, GLfloat y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2i(PCRStateTracker pState, GLint x, GLint y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2s(PCRStateTracker pState, GLshort x, GLshort y);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex2sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3i(PCRStateTracker pState, GLint x, GLint y, GLint z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex3sv(PCRStateTracker pState, const GLshort * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4d(PCRStateTracker pState, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4dv(PCRStateTracker pState, const GLdouble * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4f(PCRStateTracker pState, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4fv(PCRStateTracker pState, const GLfloat * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4i(PCRStateTracker pState, GLint x, GLint y, GLint z, GLint w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4iv(PCRStateTracker pState, const GLint * v);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4s(PCRStateTracker pState, GLshort x, GLshort y, GLshort z, GLshort w);
DECLEXPORT(void) STATE_APIENTRY crStateSelectVertex4sv(PCRStateTracker pState, const GLshort * v);

#ifdef __cplusplus
}
#endif

#endif /* CR_STATE_FUNCS_H */

