/* This code is AUTOGENERATED!!! */

#include "state.h"
#include "state_internals.h"

void crStateRegCombinerDiff(CRRegCombinerBits *b, CRbitvalue *bitID,
		CRContext *fromCtx, CRContext *toCtx)
{
    PCRStateTracker pState = fromCtx->pStateTracker;
	CRRegCombinerState *from = &(fromCtx->regcombiner);
	CRRegCombinerState *to = &(toCtx->regcombiner);
	unsigned int j, i;
	CRbitvalue nbitID[CR_MAX_BITARRAY];
    CRASSERT(fromCtx->pStateTracker == toCtx->pStateTracker);
	for (j = 0; j<CR_MAX_BITARRAY; j++)
		nbitID[j] = ~bitID[j];
	i = 0; /* silence compiler */
	if (CHECKDIRTY(b->enable, bitID))
	{
		glAble able[2];
		able[0] = pState->diff_api.Disable;
		able[1] = pState->diff_api.Enable;
		if (from->enabledRegCombiners != to->enabledRegCombiners)
		{
			able[to->enabledRegCombiners](GL_REGISTER_COMBINERS_NV);
			from->enabledRegCombiners = to->enabledRegCombiners;
		}
		if (from->enabledPerStageConstants != to->enabledPerStageConstants)
		{
			able[to->enabledPerStageConstants](GL_PER_STAGE_CONSTANTS_NV);
			from->enabledPerStageConstants = to->enabledPerStageConstants;
		}
		CLEARDIRTY(b->enable, nbitID);
	}
	if (CHECKDIRTY(b->regCombinerVars, bitID))
	{
		if (from->numGeneralCombiners != to->numGeneralCombiners)
		{
			pState->diff_api.CombinerParameteriNV( GL_NUM_GENERAL_COMBINERS_NV, to->numGeneralCombiners);
			from->numGeneralCombiners = to->numGeneralCombiners;
		}
		if (from->colorSumClamp != to->colorSumClamp)
		{
			pState->diff_api.CombinerParameteriNV( GL_COLOR_SUM_CLAMP_NV, to->colorSumClamp);
			from->colorSumClamp = to->colorSumClamp;
		}
		CLEARDIRTY(b->regCombinerVars, nbitID);
	}
	if (CHECKDIRTY(b->regCombinerColor0, bitID))
	{
		if (from->constantColor0.r != to->constantColor0.r ||
		    from->constantColor0.g != to->constantColor0.g ||
		    from->constantColor0.b != to->constantColor0.b ||
		    from->constantColor0.a != to->constantColor0.a)
		{
			GLfloat varg[4];
			varg[0] = to->constantColor0.r;
			varg[1] = to->constantColor0.g;
			varg[2] = to->constantColor0.b;
			varg[3] = to->constantColor0.a;
			pState->diff_api.CombinerParameterfvNV( GL_CONSTANT_COLOR0_NV, varg);
			from->constantColor0 = to->constantColor0;
		}
		CLEARDIRTY(b->regCombinerColor0, nbitID);
	}
	if (CHECKDIRTY(b->regCombinerColor1, bitID))
	{
		if (from->constantColor1.r != to->constantColor1.r ||
		    from->constantColor1.g != to->constantColor1.g ||
		    from->constantColor1.b != to->constantColor1.b ||
		    from->constantColor1.a != to->constantColor1.a)
		{
			GLfloat varg[4];
			varg[0] = to->constantColor1.r;
			varg[1] = to->constantColor1.g;
			varg[2] = to->constantColor1.b;
			varg[3] = to->constantColor1.a;
			pState->diff_api.CombinerParameterfvNV( GL_CONSTANT_COLOR1_NV, varg);
			from->constantColor1 = to->constantColor1;
		}
		CLEARDIRTY(b->regCombinerColor1, nbitID);
	}
	for( i=0; i<CR_MAX_GENERAL_COMBINERS; i++ ) {
		if (CHECKDIRTY(b->regCombinerStageColor0[i], bitID))
		{
			if (from->stageConstantColor0[i].r != to->stageConstantColor0[i].r ||
			    from->stageConstantColor0[i].g != to->stageConstantColor0[i].g ||
			    from->stageConstantColor0[i].b != to->stageConstantColor0[i].b ||
			    from->stageConstantColor0[i].a != to->stageConstantColor0[i].a)
			{
				GLfloat varg[4];
				varg[0] = to->stageConstantColor0[i].r;
				varg[1] = to->stageConstantColor0[i].g;
				varg[2] = to->stageConstantColor0[i].b;
				varg[3] = to->stageConstantColor0[i].a;
				pState->diff_api.CombinerStageParameterfvNV( GL_COMBINER0_NV+i,  GL_CONSTANT_COLOR0_NV, varg);
				from->stageConstantColor0[i] = to->stageConstantColor0[i];
			}
			CLEARDIRTY(b->regCombinerStageColor0[i], nbitID);
		}
		if (CHECKDIRTY(b->regCombinerStageColor1[i], bitID))
		{
			if (from->stageConstantColor1[i].r != to->stageConstantColor1[i].r ||
			    from->stageConstantColor1[i].g != to->stageConstantColor1[i].g ||
			    from->stageConstantColor1[i].b != to->stageConstantColor1[i].b ||
			    from->stageConstantColor1[i].a != to->stageConstantColor1[i].a)
			{
				GLfloat varg[4];
				varg[0] = to->stageConstantColor1[i].r;
				varg[1] = to->stageConstantColor1[i].g;
				varg[2] = to->stageConstantColor1[i].b;
				varg[3] = to->stageConstantColor1[i].a;
				pState->diff_api.CombinerStageParameterfvNV( GL_COMBINER0_NV+i,  GL_CONSTANT_COLOR1_NV, varg);
				from->stageConstantColor1[i] = to->stageConstantColor1[i];
			}
			CLEARDIRTY(b->regCombinerStageColor1[i], nbitID);
		}
		if (CHECKDIRTY(b->regCombinerInput[i], bitID))
		{
			if (from->rgb[i].a != to->rgb[i].a ||
			    from->rgb[i].aMapping != to->rgb[i].aMapping ||
			    from->rgb[i].aPortion != to->rgb[i].aPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_A_NV, to->rgb[i].a, to->rgb[i].aMapping, to->rgb[i].aPortion );
				from->rgb[i].a = to->rgb[i].a;
				from->rgb[i].aMapping = to->rgb[i].aMapping;
				from->rgb[i].aPortion = to->rgb[i].aPortion;
			}
			if (from->rgb[i].b != to->rgb[i].b ||
			    from->rgb[i].bMapping != to->rgb[i].bMapping ||
			    from->rgb[i].bPortion != to->rgb[i].bPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_B_NV, to->rgb[i].b, to->rgb[i].bMapping, to->rgb[i].bPortion );
				from->rgb[i].b = to->rgb[i].b;
				from->rgb[i].bMapping = to->rgb[i].bMapping;
				from->rgb[i].bPortion = to->rgb[i].bPortion;
			}
			if (from->rgb[i].c != to->rgb[i].c ||
			    from->rgb[i].cMapping != to->rgb[i].cMapping ||
			    from->rgb[i].cPortion != to->rgb[i].cPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_C_NV, to->rgb[i].c, to->rgb[i].cMapping, to->rgb[i].cPortion );
				from->rgb[i].c = to->rgb[i].c;
				from->rgb[i].cMapping = to->rgb[i].cMapping;
				from->rgb[i].cPortion = to->rgb[i].cPortion;
			}
			if (from->rgb[i].d != to->rgb[i].d ||
			    from->rgb[i].dMapping != to->rgb[i].dMapping ||
			    from->rgb[i].dPortion != to->rgb[i].dPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_D_NV, to->rgb[i].d, to->rgb[i].dMapping, to->rgb[i].dPortion );
				from->rgb[i].d = to->rgb[i].d;
				from->rgb[i].dMapping = to->rgb[i].dMapping;
				from->rgb[i].dPortion = to->rgb[i].dPortion;
			}
			if (from->alpha[i].a != to->alpha[i].a ||
			    from->alpha[i].aMapping != to->alpha[i].aMapping ||
			    from->alpha[i].aPortion != to->alpha[i].aPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_A_NV, to->alpha[i].a, to->alpha[i].aMapping, to->alpha[i].aPortion );
				from->alpha[i].a = to->alpha[i].a;
				from->alpha[i].aMapping = to->alpha[i].aMapping;
				from->alpha[i].aPortion = to->alpha[i].aPortion;
			}
			if (from->alpha[i].b != to->alpha[i].b ||
			    from->alpha[i].bMapping != to->alpha[i].bMapping ||
			    from->alpha[i].bPortion != to->alpha[i].bPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_B_NV, to->alpha[i].b, to->alpha[i].bMapping, to->alpha[i].bPortion );
				from->alpha[i].b = to->alpha[i].b;
				from->alpha[i].bMapping = to->alpha[i].bMapping;
				from->alpha[i].bPortion = to->alpha[i].bPortion;
			}
			if (from->alpha[i].c != to->alpha[i].c ||
			    from->alpha[i].cMapping != to->alpha[i].cMapping ||
			    from->alpha[i].cPortion != to->alpha[i].cPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_C_NV, to->alpha[i].c, to->alpha[i].cMapping, to->alpha[i].cPortion );
				from->alpha[i].c = to->alpha[i].c;
				from->alpha[i].cMapping = to->alpha[i].cMapping;
				from->alpha[i].cPortion = to->alpha[i].cPortion;
			}
			if (from->alpha[i].d != to->alpha[i].d ||
			    from->alpha[i].dMapping != to->alpha[i].dMapping ||
			    from->alpha[i].dPortion != to->alpha[i].dPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_D_NV, to->alpha[i].d, to->alpha[i].dMapping, to->alpha[i].dPortion );
				from->alpha[i].d = to->alpha[i].d;
				from->alpha[i].dMapping = to->alpha[i].dMapping;
				from->alpha[i].dPortion = to->alpha[i].dPortion;
			}
			CLEARDIRTY(b->regCombinerInput[i], nbitID);
		}
		if (CHECKDIRTY(b->regCombinerOutput[i], bitID))
		{
			if (from->rgb[i].abOutput != to->rgb[i].abOutput ||
			    from->rgb[i].cdOutput != to->rgb[i].cdOutput ||
			    from->rgb[i].sumOutput != to->rgb[i].sumOutput ||
			    from->rgb[i].scale != to->rgb[i].scale ||
			    from->rgb[i].bias != to->rgb[i].bias ||
			    from->rgb[i].abDotProduct != to->rgb[i].abDotProduct ||
			    from->rgb[i].cdDotProduct != to->rgb[i].cdDotProduct ||
			    from->rgb[i].muxSum != to->rgb[i].muxSum)
			{
				pState->diff_api.CombinerOutputNV( GL_COMBINER0_NV+i, GL_RGB, to->rgb[i].abOutput, to->rgb[i].cdOutput, to->rgb[i].sumOutput, to->rgb[i].scale, to->rgb[i].bias, to->rgb[i].abDotProduct, to->rgb[i].cdDotProduct, to->rgb[i].muxSum );
				from->rgb[i] = to->rgb[i];
			}
			if (from->alpha[i].abOutput != to->alpha[i].abOutput ||
			    from->alpha[i].cdOutput != to->alpha[i].cdOutput ||
			    from->alpha[i].sumOutput != to->alpha[i].sumOutput ||
			    from->alpha[i].scale != to->alpha[i].scale ||
			    from->alpha[i].bias != to->alpha[i].bias ||
			    from->alpha[i].abDotProduct != to->alpha[i].abDotProduct ||
			    from->alpha[i].cdDotProduct != to->alpha[i].cdDotProduct ||
			    from->alpha[i].muxSum != to->alpha[i].muxSum)
			{
				pState->diff_api.CombinerOutputNV( GL_COMBINER0_NV+i, GL_ALPHA, to->alpha[i].abOutput, to->alpha[i].cdOutput, to->alpha[i].sumOutput, to->alpha[i].scale, to->alpha[i].bias, to->alpha[i].abDotProduct, to->alpha[i].cdDotProduct, to->alpha[i].muxSum );
				from->alpha[i] = to->alpha[i];
			}
			CLEARDIRTY(b->regCombinerOutput[i], nbitID);
		}
	}
	if (CHECKDIRTY(b->regCombinerFinalInput, bitID))
	{
		if (from->a != to->a ||
		    from->aMapping != to->aMapping ||
		    from->aPortion != to->aPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_A_NV, to->a, to->aMapping, to->aPortion );
			from->a = to->a;
			from->aMapping = to->aMapping;
			from->aPortion = to->aPortion;
		}
		if (from->b != to->b ||
		    from->bMapping != to->bMapping ||
		    from->bPortion != to->bPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_B_NV, to->b, to->bMapping, to->bPortion );
			from->b = to->b;
			from->bMapping = to->bMapping;
			from->bPortion = to->bPortion;
		}
		if (from->c != to->c ||
		    from->cMapping != to->cMapping ||
		    from->cPortion != to->cPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_C_NV, to->c, to->cMapping, to->cPortion );
			from->c = to->c;
			from->cMapping = to->cMapping;
			from->cPortion = to->cPortion;
		}
		if (from->d != to->d ||
		    from->dMapping != to->dMapping ||
		    from->dPortion != to->dPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_D_NV, to->d, to->dMapping, to->dPortion );
			from->d = to->d;
			from->dMapping = to->dMapping;
			from->dPortion = to->dPortion;
		}
		if (from->e != to->e ||
		    from->eMapping != to->eMapping ||
		    from->ePortion != to->ePortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_E_NV, to->e, to->eMapping, to->ePortion );
			from->e = to->e;
			from->eMapping = to->eMapping;
			from->ePortion = to->ePortion;
		}
		if (from->f != to->f ||
		    from->fMapping != to->fMapping ||
		    from->fPortion != to->fPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_F_NV, to->f, to->fMapping, to->fPortion );
			from->f = to->f;
			from->fMapping = to->fMapping;
			from->fPortion = to->fPortion;
		}
		if (from->g != to->g ||
		    from->gMapping != to->gMapping ||
		    from->gPortion != to->gPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_G_NV, to->g, to->gMapping, to->gPortion );
			from->g = to->g;
			from->gMapping = to->gMapping;
			from->gPortion = to->gPortion;
		}
		CLEARDIRTY(b->regCombinerFinalInput, nbitID);
	}
	CLEARDIRTY(b->dirty, nbitID);
}

void crStateRegCombinerSwitch(CRRegCombinerBits *b, CRbitvalue *bitID,
		CRContext *fromCtx, CRContext *toCtx)
{
    PCRStateTracker pState = fromCtx->pStateTracker;
	CRRegCombinerState *from = &(fromCtx->regcombiner);
	CRRegCombinerState *to = &(toCtx->regcombiner);
	unsigned int j, i;
	CRbitvalue nbitID[CR_MAX_BITARRAY];
    CRASSERT(fromCtx->pStateTracker == toCtx->pStateTracker);
	for (j = 0; j<CR_MAX_BITARRAY; j++)
		nbitID[j] = ~bitID[j];
	i = 0; /* silence compiler */
	if (CHECKDIRTY(b->enable, bitID))
	{
		glAble able[2];
		able[0] = pState->diff_api.Disable;
		able[1] = pState->diff_api.Enable;
		if (from->enabledRegCombiners != to->enabledRegCombiners)
		{
			able[to->enabledRegCombiners](GL_REGISTER_COMBINERS_NV);
			FILLDIRTY(b->enable);
			FILLDIRTY(b->dirty);
		}
		if (from->enabledPerStageConstants != to->enabledPerStageConstants)
		{
			able[to->enabledPerStageConstants](GL_PER_STAGE_CONSTANTS_NV);
			FILLDIRTY(b->enable);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->enable, nbitID);
	}
	if (CHECKDIRTY(b->regCombinerVars, bitID))
	{
		if (from->numGeneralCombiners != to->numGeneralCombiners)
		{
			pState->diff_api.CombinerParameteriNV( GL_NUM_GENERAL_COMBINERS_NV, to->numGeneralCombiners);
			FILLDIRTY(b->regCombinerVars);
			FILLDIRTY(b->dirty);
		}
		if (from->colorSumClamp != to->colorSumClamp)
		{
			pState->diff_api.CombinerParameteriNV( GL_COLOR_SUM_CLAMP_NV, to->colorSumClamp);
			FILLDIRTY(b->regCombinerVars);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->regCombinerVars, nbitID);
	}
	if (CHECKDIRTY(b->regCombinerColor0, bitID))
	{
		if (from->constantColor0.r != to->constantColor0.r ||
		    from->constantColor0.g != to->constantColor0.g ||
		    from->constantColor0.b != to->constantColor0.b ||
		    from->constantColor0.a != to->constantColor0.a)
		{
			GLfloat varg[4];
			varg[0] = to->constantColor0.r;
			varg[1] = to->constantColor0.g;
			varg[2] = to->constantColor0.b;
			varg[3] = to->constantColor0.a;
			pState->diff_api.CombinerParameterfvNV( GL_CONSTANT_COLOR0_NV, varg);
			FILLDIRTY(b->regCombinerColor0);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->regCombinerColor0, nbitID);
	}
	if (CHECKDIRTY(b->regCombinerColor1, bitID))
	{
		if (from->constantColor1.r != to->constantColor1.r ||
		    from->constantColor1.g != to->constantColor1.g ||
		    from->constantColor1.b != to->constantColor1.b ||
		    from->constantColor1.a != to->constantColor1.a)
		{
			GLfloat varg[4];
			varg[0] = to->constantColor1.r;
			varg[1] = to->constantColor1.g;
			varg[2] = to->constantColor1.b;
			varg[3] = to->constantColor1.a;
			pState->diff_api.CombinerParameterfvNV( GL_CONSTANT_COLOR1_NV, varg);
			FILLDIRTY(b->regCombinerColor1);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->regCombinerColor1, nbitID);
	}
	for( i=0; i<CR_MAX_GENERAL_COMBINERS; i++ ) {
		if (CHECKDIRTY(b->regCombinerStageColor0[i], bitID))
		{
			if (from->stageConstantColor0[i].r != to->stageConstantColor0[i].r ||
			    from->stageConstantColor0[i].g != to->stageConstantColor0[i].g ||
			    from->stageConstantColor0[i].b != to->stageConstantColor0[i].b ||
			    from->stageConstantColor0[i].a != to->stageConstantColor0[i].a)
			{
				GLfloat varg[4];
				varg[0] = to->stageConstantColor0[i].r;
				varg[1] = to->stageConstantColor0[i].g;
				varg[2] = to->stageConstantColor0[i].b;
				varg[3] = to->stageConstantColor0[i].a;
				pState->diff_api.CombinerStageParameterfvNV( GL_COMBINER0_NV+i,  GL_CONSTANT_COLOR0_NV, varg);
				FILLDIRTY(b->regCombinerStageColor0[i]);
				FILLDIRTY(b->dirty);
			}
			CLEARDIRTY(b->regCombinerStageColor0[i], nbitID);
		}
		if (CHECKDIRTY(b->regCombinerStageColor1[i], bitID))
		{
			if (from->stageConstantColor1[i].r != to->stageConstantColor1[i].r ||
			    from->stageConstantColor1[i].g != to->stageConstantColor1[i].g ||
			    from->stageConstantColor1[i].b != to->stageConstantColor1[i].b ||
			    from->stageConstantColor1[i].a != to->stageConstantColor1[i].a)
			{
				GLfloat varg[4];
				varg[0] = to->stageConstantColor1[i].r;
				varg[1] = to->stageConstantColor1[i].g;
				varg[2] = to->stageConstantColor1[i].b;
				varg[3] = to->stageConstantColor1[i].a;
				pState->diff_api.CombinerStageParameterfvNV( GL_COMBINER0_NV+i,  GL_CONSTANT_COLOR1_NV, varg);
				FILLDIRTY(b->regCombinerStageColor1[i]);
				FILLDIRTY(b->dirty);
			}
			CLEARDIRTY(b->regCombinerStageColor1[i], nbitID);
		}
		if (CHECKDIRTY(b->regCombinerInput[i], bitID))
		{
			if (from->rgb[i].a != to->rgb[i].a ||
			    from->rgb[i].aMapping != to->rgb[i].aMapping ||
			    from->rgb[i].aPortion != to->rgb[i].aPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_A_NV, to->rgb[i].a, to->rgb[i].aMapping, to->rgb[i].aPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->rgb[i].b != to->rgb[i].b ||
			    from->rgb[i].bMapping != to->rgb[i].bMapping ||
			    from->rgb[i].bPortion != to->rgb[i].bPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_B_NV, to->rgb[i].b, to->rgb[i].bMapping, to->rgb[i].bPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->rgb[i].c != to->rgb[i].c ||
			    from->rgb[i].cMapping != to->rgb[i].cMapping ||
			    from->rgb[i].cPortion != to->rgb[i].cPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_C_NV, to->rgb[i].c, to->rgb[i].cMapping, to->rgb[i].cPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->rgb[i].d != to->rgb[i].d ||
			    from->rgb[i].dMapping != to->rgb[i].dMapping ||
			    from->rgb[i].dPortion != to->rgb[i].dPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_RGB, GL_VARIABLE_D_NV, to->rgb[i].d, to->rgb[i].dMapping, to->rgb[i].dPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->alpha[i].a != to->alpha[i].a ||
			    from->alpha[i].aMapping != to->alpha[i].aMapping ||
			    from->alpha[i].aPortion != to->alpha[i].aPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_A_NV, to->alpha[i].a, to->alpha[i].aMapping, to->alpha[i].aPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->alpha[i].b != to->alpha[i].b ||
			    from->alpha[i].bMapping != to->alpha[i].bMapping ||
			    from->alpha[i].bPortion != to->alpha[i].bPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_B_NV, to->alpha[i].b, to->alpha[i].bMapping, to->alpha[i].bPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->alpha[i].c != to->alpha[i].c ||
			    from->alpha[i].cMapping != to->alpha[i].cMapping ||
			    from->alpha[i].cPortion != to->alpha[i].cPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_C_NV, to->alpha[i].c, to->alpha[i].cMapping, to->alpha[i].cPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->alpha[i].d != to->alpha[i].d ||
			    from->alpha[i].dMapping != to->alpha[i].dMapping ||
			    from->alpha[i].dPortion != to->alpha[i].dPortion)
			{
				pState->diff_api.CombinerInputNV( GL_COMBINER0_NV+i, GL_ALPHA, GL_VARIABLE_D_NV, to->alpha[i].d, to->alpha[i].dMapping, to->alpha[i].dPortion );
				FILLDIRTY(b->regCombinerInput[i]);
				FILLDIRTY(b->dirty);
			}
			CLEARDIRTY(b->regCombinerInput[i], nbitID);
		}
		if (CHECKDIRTY(b->regCombinerOutput[i], bitID))
		{
			if (from->rgb[i].abOutput != to->rgb[i].abOutput ||
			    from->rgb[i].cdOutput != to->rgb[i].cdOutput ||
			    from->rgb[i].sumOutput != to->rgb[i].sumOutput ||
			    from->rgb[i].scale != to->rgb[i].scale ||
			    from->rgb[i].bias != to->rgb[i].bias ||
			    from->rgb[i].abDotProduct != to->rgb[i].abDotProduct ||
			    from->rgb[i].cdDotProduct != to->rgb[i].cdDotProduct ||
			    from->rgb[i].muxSum != to->rgb[i].muxSum)
			{
				pState->diff_api.CombinerOutputNV( GL_COMBINER0_NV+i, GL_RGB, to->rgb[i].abOutput, to->rgb[i].cdOutput, to->rgb[i].sumOutput, to->rgb[i].scale, to->rgb[i].bias, to->rgb[i].abDotProduct, to->rgb[i].cdDotProduct, to->rgb[i].muxSum );
				FILLDIRTY(b->regCombinerOutput[i]);
				FILLDIRTY(b->dirty);
			}
			if (from->alpha[i].abOutput != to->alpha[i].abOutput ||
			    from->alpha[i].cdOutput != to->alpha[i].cdOutput ||
			    from->alpha[i].sumOutput != to->alpha[i].sumOutput ||
			    from->alpha[i].scale != to->alpha[i].scale ||
			    from->alpha[i].bias != to->alpha[i].bias ||
			    from->alpha[i].abDotProduct != to->alpha[i].abDotProduct ||
			    from->alpha[i].cdDotProduct != to->alpha[i].cdDotProduct ||
			    from->alpha[i].muxSum != to->alpha[i].muxSum)
			{
				pState->diff_api.CombinerOutputNV( GL_COMBINER0_NV+i, GL_ALPHA, to->alpha[i].abOutput, to->alpha[i].cdOutput, to->alpha[i].sumOutput, to->alpha[i].scale, to->alpha[i].bias, to->alpha[i].abDotProduct, to->alpha[i].cdDotProduct, to->alpha[i].muxSum );
				FILLDIRTY(b->regCombinerOutput[i]);
				FILLDIRTY(b->dirty);
			}
			CLEARDIRTY(b->regCombinerOutput[i], nbitID);
		}
	}
	if (CHECKDIRTY(b->regCombinerFinalInput, bitID))
	{
		if (from->a != to->a ||
		    from->aMapping != to->aMapping ||
		    from->aPortion != to->aPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_A_NV, to->a, to->aMapping, to->aPortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		if (from->b != to->b ||
		    from->bMapping != to->bMapping ||
		    from->bPortion != to->bPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_B_NV, to->b, to->bMapping, to->bPortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		if (from->c != to->c ||
		    from->cMapping != to->cMapping ||
		    from->cPortion != to->cPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_C_NV, to->c, to->cMapping, to->cPortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		if (from->d != to->d ||
		    from->dMapping != to->dMapping ||
		    from->dPortion != to->dPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_D_NV, to->d, to->dMapping, to->dPortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		if (from->e != to->e ||
		    from->eMapping != to->eMapping ||
		    from->ePortion != to->ePortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_E_NV, to->e, to->eMapping, to->ePortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		if (from->f != to->f ||
		    from->fMapping != to->fMapping ||
		    from->fPortion != to->fPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_F_NV, to->f, to->fMapping, to->fPortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		if (from->g != to->g ||
		    from->gMapping != to->gMapping ||
		    from->gPortion != to->gPortion)
		{
			pState->diff_api.FinalCombinerInputNV( GL_VARIABLE_G_NV, to->g, to->gMapping, to->gPortion );
			FILLDIRTY(b->regCombinerFinalInput);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->regCombinerFinalInput, nbitID);
	}
	CLEARDIRTY(b->dirty, nbitID);
}

